/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: PGPadminX.cpp,v 1.4 2002/08/06 20:09:15 dallen Exp $
____________________________________________________________________________*/
// PGPadminX.cpp : Implementation of CPGPadminXApp and DLL registration.

#include "stdafx.h"
#include "PGPadminX.h"
#include <comcat.h>
#include <objsafe.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern "C" {HINSTANCE g_hInstance;}

CPGPadminXApp NEAR theApp;

const GUID CDECL BASED_CODE _tlid =
		{ 0x6917c1f3, 0x755a, 0x11d5, { 0xae, 0x28, 0, 0x1, 0x2, 0x34, 0x51, 0x8f } };
const WORD _wVerMajor = 1;
const WORD _wVerMinor = 0;

const CLSID CLSID_AdminX =
{ 0x6917c1f6, 0x755a, 0x11d5, { 0xae, 0x28, 0, 0x1, 0x2, 0x34, 0x51, 0x8f } };

////////////////////////////////////////////////////////////////////////////
// CPGPadminXApp::InitInstance - DLL initialization

BOOL CPGPadminXApp::InitInstance()
{
	BOOL bInit = COleControlModule::InitInstance();

	g_hInstance = m_hInstance;
	if (bInit)
	{
		// TODO: Add your own module initialization code here.
	}

	return bInit;
}


////////////////////////////////////////////////////////////////////////////
// CPGPadminXApp::ExitInstance - DLL termination

int CPGPadminXApp::ExitInstance()
{
	// TODO: Add your own module termination code here.

	return COleControlModule::ExitInstance();
}

/*
HRESULT CreateComponentCategory(CATID catid, WCHAR* catDescription,
								int nLen)
{
    ICatRegister* pcr = NULL ;
    HRESULT hr = S_OK ;
    
	hr = CoCreateInstance(CLSID_StdComponentCategoriesMgr, 
		NULL, CLSCTX_INPROC_SERVER, IID_ICatRegister, (void**)&pcr);
    if (FAILED(hr))
		return hr;
    
	// Make sure the HKCR\Component Categories\{..catid...}
    // key is registered.
	
	CATEGORYINFO catinfo;
	catinfo.catid = catid;
    catinfo.lcid = 0x0409 ; // english
	memcpy(catinfo.szDescription, catDescription, nLen);
	
    hr = pcr->RegisterCategories(1, &catinfo);
	pcr->Release();
    return hr;    
}
*/

HRESULT RegisterCLSIDInCategory(REFCLSID clsid, CATID catid)
{
	// Register your component categories information.
    ICatRegister* pcr = NULL ;
    HRESULT hr = S_OK ;
    hr = CoCreateInstance(CLSID_StdComponentCategoriesMgr, 
		NULL, CLSCTX_INPROC_SERVER, IID_ICatRegister, (void**)&pcr);
    if (SUCCEEDED(hr))
    {
		// Register this category as being "implemented" by the class.
		CATID rgcatid[1] ;
		rgcatid[0] = catid;
		hr = pcr->RegisterClassImplCategories(clsid, 1, rgcatid);
    }
	
    if (pcr != NULL)
        pcr->Release();
	
	return hr;
}

HRESULT UnRegisterCLSIDInCategory(REFCLSID clsid, CATID catid)
{
    ICatRegister* pcr = NULL ;
    HRESULT hr = S_OK ;
	
    hr = CoCreateInstance(CLSID_StdComponentCategoriesMgr, 
		NULL, CLSCTX_INPROC_SERVER, IID_ICatRegister, (void**)&pcr);
    if (SUCCEEDED(hr))
    {
		// Unregister this category as being "implemented" by the class.
		CATID rgcatid[1] ;
		rgcatid[0] = catid;
		hr = pcr->UnRegisterClassImplCategories(clsid, 1, rgcatid);
    }
	
    if (pcr != NULL)
        pcr->Release();
	
	return hr;
}

/////////////////////////////////////////////////////////////////////////////
// DllRegisterServer - Adds entries to the system registry

STDAPI DllRegisterServer(void)
{
	HRESULT hr;

	AFX_MANAGE_STATE(_afxModuleAddrThis);

	if (!AfxOleRegisterTypeLib(AfxGetInstanceHandle(), _tlid))
		return ResultFromScode(SELFREG_E_TYPELIB);

	if (!COleObjectFactoryEx::UpdateRegistryAll(TRUE))
		return ResultFromScode(SELFREG_E_CLASS);

	hr = RegisterCLSIDInCategory(CLSID_AdminX, CATID_SafeForInitializing);
	if (FAILED(hr))
	{
/*
		WCHAR wName[] = L"Controls safely initializable from persistant data";

		hr = CreateComponentCategory(CATID_SafeForInitializing, wName,
			sizeof(wName));
		if (FAILED(hr))
			return hr;

		hr = RegisterCLSIDInCategory(CLSID_AdminX, CATID_SafeForInitializing);
		if (FAILED(hr))
*/
			return hr;
	}

	hr = RegisterCLSIDInCategory(CLSID_AdminX, CATID_SafeForScripting);
	if (FAILED(hr))
	{
/*
		WCHAR wName[] = L"Controls safely scriptable";

		hr = CreateComponentCategory(CATID_SafeForScripting, wName, 
			sizeof(wName));
		if (FAILED(hr))
			return hr;

		hr = RegisterCLSIDInCategory(CLSID_AdminX, CATID_SafeForScripting);
		if (FAILED(hr))
*/
			return hr;
	}

	return NOERROR;
}


/////////////////////////////////////////////////////////////////////////////
// DllUnregisterServer - Removes entries from the system registry

STDAPI DllUnregisterServer(void)
{
	HRESULT hr;

	AFX_MANAGE_STATE(_afxModuleAddrThis);

	if (!AfxOleUnregisterTypeLib(_tlid, _wVerMajor, _wVerMinor))
		return ResultFromScode(SELFREG_E_TYPELIB);

	if (!COleObjectFactoryEx::UpdateRegistryAll(FALSE))
		return ResultFromScode(SELFREG_E_CLASS);

	hr = UnRegisterCLSIDInCategory(CLSID_AdminX, CATID_SafeForInitializing);
	if (FAILED(hr))
		return hr;

	hr = UnRegisterCLSIDInCategory(CLSID_AdminX, CATID_SafeForScripting);
	if (FAILED(hr))
		return hr;

	return NOERROR;
}
