/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CPGPdiskMounter.cpp,v 1.3 2002/08/06 20:09:22 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"

#include "CPGPdiskMounter.h"
#include "CPGPdiskMounterImp.h"

_USING_PGP

// Class CPGPdiskMounter member functions

DEFINE_IMPHOST(CPGPdiskMounter, PGPdiskMounterImp, CUIImpFactory)

void 
CPGPdiskMounter::AskMount(
	const CPGPdiskContext&	context, 
	const char				*path, 
	void					*parentWnd, 
	const CPGPdiskUser		*pUseThisUser, 
	PGPBoolean				tryCache)
{
	Imp()->AskMount(context, path, parentWnd, pUseThisUser, tryCache);
}

void 
CPGPdiskMounter::MountStartupDisks(
	const CPGPdiskContext&	context, 
	void					*parentWnd)
{
	Imp()->MountStartupDisks(context, parentWnd);
}
