/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CPGPdiskMounterImp.h,v 1.4 2002/08/06 20:09:22 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CPGPdiskMounterImp_h	// [
#define Included_CPGPdiskMounterImp_h

#include "CImp.h"
#include "CPGPdiskMounter.h"

_PGP_BEGIN

// Class CPGPdiskMounterImp

class CPGPdiskMounterImp : public CImp
{
	NOT_COPYABLE(CPGPdiskMounterImp)
	friend class CPGPdiskMounter;

public:
	CPGPdiskMounterImp() { }

protected:
	virtual void	AskMount(const CPGPdiskContext& context, 
		const char *path, void *parentWnd, const CPGPdiskUser *pUseThisUser, 
		PGPBoolean tryCache) = 0;
	virtual void	MountStartupDisks(const CPGPdiskContext& context, 
		void *parentWnd) = 0;
};

_PGP_END

#endif	// ] Included_CPGPdiskMounterImp_h
