/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CFileSystemCombo.h,v 1.3 2002/08/06 20:09:23 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CFileSystemCombo_h	// [
#define Included_CFileSystemCombo_h

#include "CComboBox.h"
#include "UFileSys.h"

_PGP_BEGIN

// Class CFileSystemCombo

class CFileSystemCombo : public CComboBox
{
public:
	CFileSystemCombo() { }
	CFileSystemCombo(HWND hWnd) : CComboBox(hWnd) { }
	~CFileSystemCombo() { }

	FileSys::Type	Get() const;

	void	Fill(PGPUInt64 numBlocks);
	void	Set(FileSys::Type fileSystem);

private:
	mutable FileSys::Type	mFileSystem;

	PGPInt32	FindFileSystemIndex(FileSys::Type fileSystem);
	void		SetFromSel() const;

	void	OnDestroy();
};

_PGP_END

#endif	// ] Included_CFileSystemCombo_h
