/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CNewDiskWizard.h,v 1.2 2002/08/06 20:09:23 dallen Exp $
____________________________________________________________________________*/


#ifndef Included_CNewDiskWizard_h	// [
#define Included_CNewDiskWizard_h

#include "CBitmap.h"
#include "CPalette.h"

#include "CPropertySheet.h"

_PGP_BEGIN

// Types

class CPath;
class CPGPdiskContext;
class CPGPdiskDisk;


// Class CNewDiskWizard

class CNewDiskWizard : public CPropertySheet
{
public:
	CNewDiskWizard() { }
	~CNewDiskWizard() { }

	void	Display(const CPGPdiskContext& context, const char *defaultPath, 
		HWND parentWnd);

private:
	CBitmap		mSidebarBitmap;
	CPalette	mSidebarPalette;

	void	ConstructValidDefaultPath(const CPGPdiskContext& context, 
		CPath& defaultPath);

	void	LoadSidebar();
};

_PGP_END

#endif	// ] Included_CNewDiskWizard_h
