/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CNewUserWizard.h,v 1.2 2002/08/06 20:09:23 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CNewUserWizard_h	// [
#define Included_CNewUserWizard_h

#include "CBitmap.h"
#include "CPalette.h"
#include "CPropertySheet.h"

_PGP_BEGIN

// Types

class CPGPdiskContext;


// Class CNewUserWizard

class CNewUserWizard : public CPropertySheet
{
public:
	CNewUserWizard() { }
	~CNewUserWizard() { }

	void	Display(const CPGPdiskContext& context, const char *path, 
		HWND parentWnd);

private:
	CBitmap		mSidebarBitmap;
	CPalette	mSidebarPalette;

	void	LoadSidebar();
};

_PGP_END

#endif	// ] Included_CNewUserWizard_h
