/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CPGPKeySearcher.h,v 1.4 2002/08/06 20:09:23 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CPGPKeySearcher_h	// [
#define Included_CPGPKeySearcher_h

#include "CList.h"
#include "CPGPKey.h"

_PGP_BEGIN

// Types

class CPGPdiskContext;
class CPGPKeyDB;


// Class CPGPKeySearcher

class CPGPKeySearcher
{
	DECLARE_MODALSTATE(CPGPKeySearcher)

public:
	struct SearchItem : public CListableObject<SearchItem>
	{
		CPGPKeyID	keyID;		// in
		void		*userData;	// in

		CPGPKey		key;		// out
		CPGPKey		subKey;		// out
		PGPBoolean	wasFound;	// out
	};

public:
	static void	SearchKeys(const CPGPdiskContext& context, HWND parentWnd, 
		CList<SearchItem>& items, CPGPKeyDB& backingKeyDB);
};

_PGP_END

#endif	// ] Included_CPGPKeySearcher_h
