/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CPGPdiskPage.h,v 1.5 2002/08/06 20:09:24 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CPGPdiskPage_h	// [
#define Included_CPGPdiskPage_h

#include "CFont.h"
#include "CPoint.h"
#include "CStatic.h"

#include "CPropertyPage.h"

_PGP_BEGIN

// Types

class CBitmap;
class CPalette;


// Class CPGPdiskPage

class CPGPdiskPage : public CPropertyPage
{
public:
	void	Create(const char *title = NULL, PGPBoolean isInterior = TRUE, 
		const CBitmap *pBitmap = NULL, const CPalette *pPalette = NULL);

protected:
	CStatic			mSidebarStatic;
	const CBitmap	*mPSidebarBitmap;
	const CPalette	*mPSidebarPalette;

	virtual DWORD	GetPageHelpId() const = 0;
	virtual PVOID	GetPageHelpIds() const = 0;

	void	OnContextMenu(HWND menuWnd, CPoint coords);
	void	OnHelp(HELPINFO *pInfo);
	BOOL	OnInitDialog(HWND focusCtrl);
	void	OnPaint(HDC paintDC);
	void	OnPsnHelp();

private:
	CFont		mHeaderFont;
	CPoint		mSidebarOrigin;
	CStatic		mHeaderText;
	PGPBoolean	mIsInterior;
};

_PGP_END

#endif	// ] Included_CPGPdiskPage_h
