/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CUISubsystemsWin32.h,v 1.3 2002/08/06 20:09:24 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CUISubsystemsWin32_h	// [
#define Included_CUISubsystemsWin32_h

#include "CUISubsystems.h"

_PGP_BEGIN

// Types

class CCommandClaimer;
class CWindowRegistrar;


// Class CUISubsystemsWin32

class CUISubsystemsWin32 : public CUISubsystems
{
	DECLARE_SINGLETON_NEWDELFUNCS()

	DECLARE_SUBSYSTEM(CCommandClaimer, CommandClaimer)
	DECLARE_SUBSYSTEM(CWindowRegistrar, WindowRegistrar)

private:
	void	CreateSubsystemsAux();
	void	DestroySubsystemsAux();
};

_PGP_END

#endif	// Included_CUISubsystemsWin32_h
