/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: ImageIDs.h,v 1.4 2002/08/06 20:09:24 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_ImageIDs_h	// [
#define Included_ImageIDs_h

_PGP_BEGIN

namespace ImageIDs
{
	// Constants

	static const COLORREF	kMaskColor	= RGB(255, 0, 255);

	enum
	{
		kNone				= -1, 

		// Plain image list IDs (first 7 not used)
		kDoingIcon			= 7, 
		kDoneIcon			= 8, 
		kFailedIcon			= 9, 
		kNumImageBitmaps	= 10, 

		// Public key image list IDs
		kInvalid			= 0, 
		kPushed				= 1, 
		kValid				= 2, 
		kValidPushed		= 3, 
		kAxiomatic			= 4, 
		kAxiomaticPushed	= 5, 
		kRSAPubKey			= 6, 
		kRSAPubDisKey		= 7, 
		kRSAPubRevKey		= 8, 
		kRSAPubExpKey		= 9, 
		kRSASecKey			= 10, 
		kRSASecDisKey		= 11, 
		kRSASecRevKey		= 12, 
		kRSASecExpKey		= 13, 
		kRSASecShrKey		= 14, 
		kDSAPubKey			= 15, 
		kDSAPubDisKey		= 16, 
		kDSAPubRevKey		= 17, 
		kDSAPubExpKey		= 18, 
		kDSASecKey			= 19, 
		kDSASecDisKey		= 20, 
		kDSASecRevKey		= 21, 
		kDSASecExpKey		= 22, 
		kDSASecShrKey		= 23, 
		kRSAUserId			= 24, 
		kDSAUserId			= 25, 
		kInvalidUserId		= 26, 
		kPhotoUserId		= 27, 
		kCERT				= 28, 
		kRevCERT			= 29, 
		kExpCERT			= 30, 
		kBadCERT			= 31, 
		kExportCERT			= 32, 
		kMetaCERT			= 33, 
		kExportMetaCERT		= 34, 
		kGroup				= 35, 
		kNoADK				= 36, 
		kNoADKPushed		= 37, 
		kADK				= 38, 
		kADKPushed			= 39, 
		kOpenLock			= 40, 
		kClosedLock			= 41, 
		kDiskPassphraseUser	= 42, 
		kDiskPubKeyUser		= 43, 
		kNumPubKeyBitmaps	= 44, 

		// PGPdisk editor image list IDs
		kPGPdiskMount		= 0, 
		kPGPdiskUnmount		= 1, 
		kPGPdiskProps		= 2, 
		kPGPdiskAddUser		= 3, 
		kPGPdiskRemUser		= 4, 
		kNumDiskEdBitmaps	= 5
	};
}

_PGP_END

#endif	// Included_ImageIDs_h
