/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CMemoryLockerImpDrv98.h,v 1.2 2002/08/06 20:09:30 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CMemoryLockerImpDrv98_h	// [
#define Included_CMemoryLockerImpDrv98_h

#include "CList.h"
#include "CLookasideList.h"
#include "CRMWOLock.h"

#include "CMemoryLockerImp.h"

_PGP_BEGIN

// Class CMemoryLockerImpDrv98

class CMemoryLockerImpDrv98 : public CMemoryLockerImp
{
	friend class CDriverImpFactoryDrv98;

private:
	struct LockedMemInfo;

private:
	CMemoryLockerImpDrv98();

	CComboError	LockMemory(const void *pMem, PGPUInt32 sizeMem, 
		void **ppMappedMem);
	CComboError	UnlockMemory(const void *pMem);

private:
	CLookasideList<LockedMemInfo>	mLMIAllocator;

	CList<LockedMemInfo>	mLMIList;
	CRMWOLock				mLMIListLock;

	void	Shutdown();
};

_PGP_END

#endif	// Included_CMemoryLockerImpDrv98_h
