/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CPGPdiskHandlerImpDrv98.h,v 1.2 2002/08/06 20:09:30 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CPGPdiskHandlerImpDrv98_h	// [
#define Included_CPGPdiskHandlerImpDrv98_h

#include "CPGPdiskHandlerImp.h"
#include "CIop.h"

_PGP_BEGIN

// Class CPGPdiskHandlerImpDrv98

class CPGPdiskHandlerImpDrv98 : public CPGPdiskHandlerImp
{
	friend class CDriverImpFactoryDrv98;

private:
	const void *	GetPlatformIoHandlerFunc() const
	{
		return PGPdiskIopDispatch;
	}

	PGPUInt32		GetPlatformProcessId() const
	{
		return -1;
	}

	static void	PGPdiskIopDispatch(CIop& iop, void *refPtr);
};

_PGP_END

#endif	// Included_CPGPdiskHandlerImpDrv98_h
