/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: UConstantNamesDrv98.cpp,v 1.2 2002/08/06 20:09:31 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"
#include "UConstantNamesDrv98.h"

_USING_PGP

// Class UConstantNamesDrv98 variables

const UConstantNamesDrv98::ConstantName UConstantNamesDrv98::mAepFuncs[] =
{
		{AEP_INITIALIZE,			"AEP_INITIALIZE"},
		{AEP_SYSTEM_CRIT_SHUTDOWN,	"AEP_SYSTEM_CRIT_SHUTDOWN"},
		{AEP_BOOT_COMPLETE,			"AEP_BOOT_COMPLETE"},
		{AEP_CONFIG_DCB,			"AEP_CONFIG_DCB"},
		{AEP_UNCONFIG_DCB,			"AEP_UNCONFIG_DCB"},
		{AEP_IOP_TIMEOUT,			"AEP_IOP_TIMEOUT"},
		{AEP_DEVICE_INQUIRY,		"AEP_DEVICE_INQUIRY"},
		{AEP_HALF_SEC,				"AEP_HALF_SEC"},
		{AEP_1_SEC,					"AEP_1_SEC"},
		{AEP_2_SECS,				"AEP_2_SECS"},
		{AEP_4_SECS,				"AEP_4_SECS"},
		{AEP_DBG_DOT_CMD,			"AEP_DBG_DOT_CMD"},
		{AEP_ASSOCIATE_DCB,			"AEP_ASSOCIATE_DCB"},
		{AEP_REAL_MODE_HANDOFF,		"AEP_REAL_MODE_HANDOFF"},
		{AEP_SYSTEM_SHUTDOWN,		"AEP_SYSTEM_SHUTDOWN"},
		{AEP_UNINITIALIZE,			"AEP_UNINITIALIZE"},
		{AEP_DCB_LOCK,				"AEP_DCB_LOCK"},
		{AEP_MOUNT_NOTIFY,			"AEP_MOUNT_NOTIFY"},
		{AEP_CREATE_VRP,			"AEP_CREATE_VRP"},
		{AEP_DESTROY_VRP,			"AEP_DESTROY_VRP"},
		{AEP_REFRESH_DRIVE,			"AEP_REFRESH_DRIVE"},
		{AEP_PEND_UNCONFIG_DCB,		"AEP_PEND_UNCONFIG_DCB"},
		{AEP_1E_VEC_UPDATE,			"AEP_1E_VEC_UPDATE"},
		{AEP_CHANGE_RPM,			"AEP_CHANGE_RPM"}
};


const UConstantNamesDrv98::ConstantName UConstantNamesDrv98::mIorFuncs[] =
{
		{IOR_READ,						"IOR_READ"},
		{IOR_WRITE,						"IOR_WRITE"},
		{IOR_VERIFY,					"IOR_VERIFY"},
		{IOR_CANCEL,					"IOR_CANCEL"},
		{IOR_WRITEV,					"IOR_WRITEV"},
		{IOR_MEDIA_CHECK,				"IOR_MEDIA_CHECK"},
		{IOR_MEDIA_CHECK_RESET,			"IOR_MEDIA_CHECK_RESET"},
		{IOR_LOAD_MEDIA,				"{IOR_IOR_LOAD_MEDIA"},
		{IOR_EJECT_MEDIA,				"IOR_EJECT_MEDIA"},
		{IOR_LOCK_MEDIA,				"IOR_LOCK_MEDIA"},
		{IOR_UNLOCK_MEDIA,				"IOR_UNLOCK_MEDIA"},
		{IOR_REQUEST_SENSE,				"IOR_REQUEST_SENSE"},
		{IOR_COMPUTE_GEOM,				"IOR_COMPUTE_GEOM"},
		{IOR_GEN_IOCTL,					"IOR_GEN_IOCTL"},
		{IOR_FORMAT,					"IOR_FORMAT"},
		{IOR_SCSI_PASS_THROUGH,			"IOR_SCSI_PASS_THROUGH"},
		{IOR_CLEAR_QUEUE,				"IOR_CLEAR_QUEUE"},
		{IOR_DOS_RESET,					"IOR_DOS_RESET"},
		{IOR_SCSI_REQUEST,				"IOR_SCSI_REQUEST"},
		{IOR_SET_WRITE_STATUS,			"IOR_SET_WRITE_STATUS"},
		{IOR_RESTART_QUEUE,				"IOR_RESTART_QUEUE"},
		{IOR_ABORT_QUEUE,				"IOR_ABORT_QUEUE"},
		{IOR_SPIN_DOWN,					"IOR_SPIN_DOWN"},
		{IOR_SPIN_UP,					"IOR_SPIN_UP"},
		{IOR_FLUSH_DRIVE,				"IOR_FLUSH_DRIVE"},
		{IOR_FLUSH_DRIVE_AND_DISCARD,	"IOR_FLUSH_DRIVE_AND_DISCARD"},
		{IOR_FSD_EXT,					"IOR_FSD_EXT"}
};


// Class UConstantNamesDrv98 member functions

const char * 
UConstantNamesDrv98::NameAepFunction(PGPUInt32 aepFunc)
{
	return GetName(mAepFuncs, sizeof(mAepFuncs) / sizeof(ConstantName), 
		aepFunc);
}

const char * 
UConstantNamesDrv98::NameIorFunction(PGPUInt32 iorFunc)
{
	return GetName(mIorFuncs, sizeof(mIorFuncs) / sizeof(ConstantName), 
		iorFunc);
}
