/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CDriverSubsystemsDrvNT.cpp,v 1.3 2002/08/06 20:09:31 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"

#include "CDeviceCache.h"
#include "CDriverSubsystemsDrvNT.h"

_USING_PGP

// Class CDriverSubsystemsDrvNT member functions

DEFINE_SINGLETON_NEWDELFUNCS(CDriverSubsystemsDrvNT)
DEFINE_SUBSYSTEM(CDeviceCache, CDriverSubsystemsDrvNT, DeviceCache)

CComboError 
CDriverSubsystemsDrvNT::CreateSubsystemsAux()
{
	CComboError	error;

	error = CDriverSubsystems::CreateSubsystemsAux();

	CALL_MAKE_SUBSYSTEM(DeviceCache);

	if (error.IsError())
		DestroySubsystemsAux();

	return error;
}

void 
CDriverSubsystemsDrvNT::DestroySubsystemsAux()
{
	CDriverSubsystems::DestroySubsystemsAux();
	CALL_DESTROY_SUBSYSTEM(DeviceCache);
}
