/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CInterfaceImpDrvNT.h,v 1.3 2002/08/06 20:09:31 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CInterfaceImpDrvNT_h	// [
#define Included_CInterfaceImpDrvNT_h

#include "CDevice.h"

#include "DriverAPI.h"
#include "CInterfaceImp.h"

_PGP_BEGIN

// Class CInterfaceImpDrvNT

class CInterfaceImpDrvNT : public CInterfaceImp
{
	friend class CDriverImpFactoryDrvNT;

private:
	CInterfaceImpDrvNT();

private:
	CDevice	mInterfaceDevice;

	CComboError	Startup();
	void		Shutdown();

	static NTSTATUS ProcessIrpMjDeviceControl(CDevice *pDevice, CIrp& irp, 
		PGPBoolean& isIrpCompleted);

	static NTSTATUS	InterfaceIrpDispatch(CDevice *pDevice, CIrp& irp, 
		void *refPtr, PGPBoolean& isIrpCompleted);
};

_PGP_END

#endif	// Included_CInterfaceImpDrvNT_h
