/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CPGPdiskDriverImpDrvNT.h,v 1.2 2002/08/06 20:09:31 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CPGPdiskDriverImpDrvNT_h	// [
#define Included_CPGPdiskDriverImpDrvNT_h

#include "CPGPdiskDriverImp.h"
#include "CUnicodeString.h"

_PGP_BEGIN

// Class CPGPdiskDriverImpDrvNT

class CPGPdiskDriverImpDrvNT : public CPGPdiskDriverImp
{
	friend class CImpFactoryNT;

private:
	void	EnableUnload();
	void	DisableUnload();

private:
	PDRIVER_OBJECT	mDriverObject;	// driver object
	PDRIVER_UNLOAD	mUnloadRoutine;	// external unload routine

	CComboError	Startup();

	static NTSTATUS _stdcall	MasterIrpDispatch(
		PDEVICE_OBJECT pDeviceObject, PIRP pIrp);
};

_PGP_END

#endif	// Included_CPGPdiskDriverImpDrvNT_h
