/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CDiskInactivity.cpp,v 1.2 2002/08/06 20:09:34 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"

#include "CDiskInactivity.h"
#include "CDiskInactivityImp.h"

_USING_PGP

// Class CDiskInactivity member functions

DEFINE_IMPHOST(CDiskInactivity, DiskInactivityImp, CDriverImpFactory)

CComboError 
CDiskInactivity::CreateInactivityTimer(
	PGPUInt32				seconds, 
	PGPBoolean				repeating, 
	InactivityCallbackFunc	pfnCallback, 
	ULONG					userVal, 
	PGPUInt32&				timerID)
{
	return Imp()->CreateInactivityTimer(seconds, repeating, pfnCallback, 
		userVal, timerID);
}

CComboError 
CDiskInactivity::DestroyInactivityTimer(PGPUInt32 timerID)
{
	return Imp()->DestroyInactivityTimer(timerID);
}

CComboError 
CDiskInactivity::AttachToDriver()
{
	return Imp()->AttachToDriver();
}

CComboError 
CDiskInactivity::Startup()
{
	return Imp()->Startup();
}

void 
CDiskInactivity::Shutdown()
{
	Imp()->Shutdown();
}
