/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CInterface.cpp,v 1.2 2002/08/06 20:09:34 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"

#include "CInterface.h"
#include "CInterfaceImp.h"

_USING_PGP

// Class CInterface member functions

DEFINE_IMPHOST(CInterface, InterfaceImp, CDriverImpFactory)

void 
CInterface::ProcessPacket(DriverAPI::CCommandHeader *pPacket) const
{
	Imp()->ProcessPacket(pPacket);
}

PGPBoolean 
CInterface::ProcessRawPacket(void *pMem, PGPUInt32 sizeMem) const
{
	return Imp()->ProcessRawPacket(pMem, sizeMem);
}

CComboError 
CInterface::Startup()
{
	return Imp()->Startup();
}

void 
CInterface::Shutdown()
{
	Imp()->Shutdown();
}
