/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	
	

	$Id: ICQreole.h,v 1.2 2002/08/06 20:09:42 dallen Exp $
____________________________________________________________________________*/
#ifndef _DOCUMENTH
#define _DOCUMENTH

#include <richole.h>

class CICQreole
{
private: 
    HWND m_hwndEdit;                    // Handle of the edit control
    LPRICHEDITOLE m_pRichEditOle;       // Pointer to the controls interface

public:
    //
    // Constructors and Destructor
    //
	CICQreole();
    CICQreole(HWND hwndEdit);
	~CICQreole();

    //
    // Initialization
    //
    BOOL Initialize(void);

    //
    // Object interfaces
    //
    HRESULT GetNewStorage(LPSTORAGE* ppStg);
    BOOL InsertObject(DWORD dwType,DWORD dwPos);

    //
    // Accessors
    //
	void CreateBMFileFromResource(const char* file, HRSRC hres);
	void GetBitmapObject(LPDATAOBJECT* ppDisp);
};

#endif /* ] Included_DOCUMENTH */

/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/


