/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	PKIDropSource.cpp - implements OLE IDropSource for drag and drop

	$Id: PKIDropSource.h,v 1.3 2002/08/06 20:09:46 dallen Exp $
____________________________________________________________________________*/

class FAR CDropSource : public IDropSource
{
public:    
    CDropSource(VOID* pKeysStruct, HWND hwnd, HWND hwndTree, BOOL bRenderAll);
	~CDropSource ();

    /* IUnknown methods */
    STDMETHOD(QueryInterface)(REFIID riid, void FAR* FAR* ppvObj);
    STDMETHOD_(ULONG, AddRef)(void);
    STDMETHOD_(ULONG, Release)(void);

    /* IDropSource methods */
    STDMETHOD(QueryContinueDrag)(BOOL fEscapePressed, DWORD grfKeyState);
    STDMETHOD(GiveFeedback)(DWORD dwEffect);
 
private:
    ULONG		m_refs;
	HWND		m_hwnd;
	ULONG		m_ncyoffset;
	ULONG		m_ncxoffset;
	VOID*		m_pKeysStruct;
};  

