/*__________________________________________________________________________
 Copyright (C) 2002 PGP Corporation
 All rights reserved.
 
 $Id: PRECOMP.H,v 1.6 2002/08/06 20:09:50 dallen Exp $
__________________________________________________________________________*/
#ifndef Included_PRECOMP_h	/* [ */
#define Included_PRECOMP_h
/*++

Module Name:

    precomp.h

Abstract:

    This file includes all the headers required to build the dll
    to ease the process of building a precompiled header.

Author:


Revision History:


--*/

#ifndef STRICT
#define STRICT
#endif

#define INC_OLE2        // WIN32, get ole2 from windows.h

// System headers
#include <windows.h>
#include <windowsx.h>
#include <stdlib.h>
#include <stdio.h>
#include <stdlib.h>
#include <assert.h> 
#include <string.h>
#include <ShellAPI.h>
#include <Direct.h>
#include <shlobj.h>
#include <tchar.h>
#include <process.h>

#include "resource.h"
#include "PGPmn.h"
#include "PGPsc.h"
#include "MNdisk.h"

#define ResultFromShort(i) ResultFromScode(MAKE_SCODE(SEVERITY_SUCCESS, 0, (USHORT)(i)))

#define PGP_CODE_ENCRYPT		2
#define PGP_CODE_SIGN			4
#define PGP_CODE_ENCRYPT_SIGN	8
#define PGP_CODE_DECRYPT		16
#define PGP_CODE_VERIFY			32
#define PGP_CODE_ADD_KEYS		64
#define PGP_CODE_VIEW_KEYS		128
#define PGP_CODE_ENCRYPT_SEND	256
#define PGP_CODE_VERIFY_SIG     512
#define PGP_CODE_WIPE			1024
#define	PGP_CODE_MNTUNMNT_DISK	2048
#define	PGP_CODE_EDIT_DISK		4096
#define PGP_CODE_CREATE_SDA		8192
#define PGP_CODE_WIPEFREESPACE  16384


#endif /* ] Included_PRECOMP_h */


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/

