/*______________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.


	$Id: ObjectHandling.h,v 1.4 2002/09/09 00:31:43 sdas Exp $
______________________________________________________________________________*/

#ifndef Included_ObjectHandling_h	/* [ */
#define Included_ObjectHandling_h


//system includes
#include <sys/types.h>	//for struct _stat
#include <sys/stat.h>	//for _stat()
#include <stdlib.h>		//for free(), etc.
#include <stdio.h>		//for remove()
#include <io.h>			//for filelength()
#include <crtdbg.h>

//Notes API includes
#include <global.h>
#include <nsfdb.h>		//for NSFDbReadObject(), etc.
#include <nsfnote.h>
#include <nsfobjec.h>
#include <osmem.h>
#include <ostime.h>		//for OSCurrentTIMEDATE()
#include <nsferr.h>
#include <stdnames.h>	//for ITEM_NAME_ATTACHMENT

#include "LibFileSystem.h"


extern const STATUS  eus_SUCCESS, eus_ERR_INVLD_ARG;
extern char  epc_NULL[];
extern const char  ec_PATH_SPECIFIER;
extern const int  ei_SAME, ei_FAIL;
extern const BLOCKID  ebid_NULLBLOCKID;


static STATUS us_AttachObjectItem( NOTEHANDLE, const DWORD, char[], 
									const char[], const DWORD, const WORD);


#endif /* ] Included_ObjectHandling_h */
