/*______________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.


	$Id: StringHandling.h,v 1.5 2002/09/09 00:31:43 sdas Exp $
______________________________________________________________________________*/

#ifndef Included_StringHandling_h	/* [ */
#define Included_StringHandling_h


#include <stdlib.h>		//for free(), etc.
#include <tchar.h>		//for strspnp(), incorporates string.h

typedef enum {
	FALSE, 
	TRUE
}  BOOL;
#include "LibLinkList.h"


typedef struct _StringNode	{
	char * pc;
	struct _StringNode * pt_next;
}  StringNode;


extern const int  ei_SAME;
extern unsigned short  eus_ERR_INVLD_ARG, eus_SUCCESS;


void e_FreeStringArrayElements( char * *const, const unsigned long);
BOOL ef_ListContainsString( const char[], const StringNode *, const BOOL);


#endif /* ] Included_StringHandling_h */
