/*______________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.


	$Id: ndbPGP.h,v 1.10 2002/09/09 00:31:43 sdas Exp $
______________________________________________________________________________*/

#ifndef Included_ndbPGP_h	/* [ */
#define Included_ndbPGP_h


//standard includes
#include <stdlib.h>
#include <crtdbg.h>

//Notes API includes
#include <global.h>
#include <pool.h>		//for LibItem.h
#include <dbdrv.h>
#include <dbdrverr.h>	//for ERR_DBD_FUNCTION

#include "LibItem.h"


extern const STATUS  eus_SUCCESS, eus_ERR_INVLD_ARG;
extern const int  ei_USER_ABORT;


void e_ReleasePgpContext( void);
void e_FreeGdiResources( void);
int ei_InitializePgpContext( void);
short es_PreMailSend( void * *const);
short es_ReplaceMimeWithRtf( void * []);
short es_SpecialDecryptAttachment( void * []);

static STATUS LNPUBLIC us_Terminating( DBVEC *);
static STATUS LNPUBLIC us_dmyOpen( DBVEC *, HDBDSESSION *);
static STATUS LNPUBLIC us_dmyClose( DBVEC *, HDBDSESSION);
static short LNPUBLIC s_PlugInCommand( DBVEC *, HDBDSESSION, WORD, WORD, 
										DWORD *, void * *, HANDLE *, DWORD *);


#endif /* ] Included_ItemHandling_h */
