////////////////////////////////////////////////////////////////////////////////
//  File : cpgpextmodeless.h
//
//  Copyright (C) 2002 PGP Corporation
//
//  ABSTRACT
//		
// 
//  Author: Satya S. Das
////////////////////////////////////////////////////////////////////////////////

#ifndef _CPGPEXTMODELESS_H_
#define _CPGPEXTMODELESS_H_

#include <windows.h>
#include <commctrl.h>
#include <mapix.h>
#include <mapiform.h>
#include <exchext.h>

class CPGPExtModeless : public IExchExtModeless
{
	public:
		CPGPExtModeless();
		~CPGPExtModeless();

		// The methods of IUnknown 
		STDMETHODIMP QueryInterface(REFIID riid, void** ppvObj);
		STDMETHODIMP_(ULONG) AddRef();
		STDMETHODIMP_(ULONG) Release();

		// The methods of IExchExtModeless 
		STDMETHODIMP EnableModeless(BOOL bEnable);
		STDMETHODIMP TranslateAccelerator(LPMSG lpMsg);

		BOOL AddWindow(HWND hWnd);
	private:

		ULONG m_ulRefCount;
		HWND m_hWnd;
};

#endif 


