/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: EncryptSign.h,v 1.1 2002/11/19 02:19:38 sdas Exp $
____________________________________________________________________________*/
#ifndef Included_EncryptSign_h	/* [ */
#define Included_EncryptSign_h

#ifdef __cplusplus
extern "C" {
#endif

#include <mapi.h>
#include <mapiform.h>
#include <mapiutil.h>
#include "exchext.h"
#include "cpgpextmodeless.h"

PGPError EncryptSignBuffer(HINSTANCE hInst, HWND hwnd, PGPContextRef context, 
						   PGPtlsContextRef tlsContext, 
						   char *szName, char *szModule,
						   void *pInput, DWORD dwInSize, 
						   PGPclRecipientDialogStruct *prds,
						   PGPOptionListRef mimeOptions,
						   PGPOptionListRef *pSignOptions,
						   void **ppOutput, PGPSize *pOutSize, BOOL bEncrypt, 
						   BOOL bSign, BOOL bBinary, BOOL bHTML,
						   LPEXCHEXTMODELESSCALLBACK peemc,
						   CPGPExtModeless *ppemOurMdClbk);

PGPError EncryptSignFile(HINSTANCE hInst, HWND hwnd, PGPContextRef context, 
						 PGPtlsContextRef tlsContext, 
						 char *szName, char *szModule, char *szInFile, 
						 PGPclRecipientDialogStruct *prds, 
						 PGPOptionListRef mimeOptions,
						 PGPOptionListRef *pSignOptions, char *szOutFile, 
						 BOOL bEncrypt, BOOL bSign, BOOL bBinary,
						 LPEXCHEXTMODELESSCALLBACK peemc,
						 CPGPExtModeless *ppemOurMdClbk);

BOOL WrapBuffer(char **pszOutText,
				char *szInText,
				PGPUInt16 wrapLength);

#ifdef __cplusplus
}
#endif

#endif /* ] Included_EncryptSign_h */


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/


