/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: CPGPnetAdapter.h,v 1.2 2002/08/06 20:10:26 dallen Exp $
____________________________________________________________________________*/

#ifndef _H_CPGPNET_ADAPTER_
#define _H_CPGPNET_ADAPTER_

class CPGPnetAdapter
{
public:
	// NDIS WRAPPER MEMBERS
	NDIS_HANDLE			NdisAdapterRegistrationHandle;

	// ADAPTER CHARACTERISTICS
    PGPUInt32           NumSupportedMediums;
    PNDIS_MEDIUM        SupportedMediums;                

	// ACQUIRED ADAPTER CHARACTERISTICS
    NDIS_MEDIUM			Media;
    NDIS_STRING			AdapterName;
	PGPByte				AnsiAdapterName[64];
	PGPBoolean			HardwareAddressDetected;
	PGPByte				mHardwareAddress[6];

	// ADAPTER RESOURCE
	NDIS_SPIN_LOCK		AdapterLock;

    // ADAPTER STATISTICS
    PGPUInt32				SentPackets;
    PGPUInt32				ReceivedPackets;

public:
	CPGPnetAdapter();
	~CPGPnetAdapter();

	void		AdapterLevelLock()	{NdisAcquireSpinLock(&AdapterLock);};
	void		AdapterLevelUnlock() {NdisReleaseSpinLock(&AdapterLock);};

};

class CPGPnetIPSECDriver
{
};


#endif // #define _H_CPGPNET_ADAPTER_