/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: pgpNetHostUtils.h,v 1.2 2002/08/06 20:10:25 dallen Exp $
____________________________________________________________________________*/
#ifndef Included_pgpNetHostUtils_h	/* [ */
#define Included_pgpNetHostUtils_h

#include "pgpPubTypes.h"
#include "pgpMemoryMgr.h"
#include "pgpNetPrefsHostEntry.h"


PGP_BEGIN_C_DECLARATIONS
#if PRAGMA_IMPORT_SUPPORTED
#pragma import on
#endif

PGPBoolean
pgpDoNetHostsConflict (
		PGPNetPrefHostEntry*	pHostNew,
		PGPNetPrefHostEntry*	pHostExisting);

PGPError
pgpMergeNetHostLists (
		PGPMemoryMgrRef			memmgr,
		PGPNetPrefHostEntry*	pHostListBase,
		PGPUInt32				uHostCountBase,
		PGPNetPrefHostEntry*	pHostListAdjunct,
		PGPUInt32				uHostCountAdjunct,
		PGPNetPrefHostEntry**	ppHostListMerged,
		PGPUInt32*				puHostCountMerged);


#if PRAGMA_IMPORT_SUPPORTED
#pragma import reset
#endif
PGP_END_C_DECLARATIONS


#endif /* ] Included_pgpNetHostUtils_h */


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
