//____________________________________________________________________________
//	Copyright (C) 2002 PGP Corporation
//	All rights reserved.
//
//	PGPHelp.h - help IDs for PGP
//
//	$Id: PGPHelp.h,v 1.22 2002/11/22 03:16:53 pbj Exp $
//____________________________________________________________________________

#define IDH_PGPPK_DELETEKEY					130
#define IDH_PGPPK_DELETEALLKEYS				131
#define IDH_PGPPK_DONTDELETEKEY				132
#define IDH_PGPPK_CANCELDELETE				133

#define IDH_PGPPK_NEWUSERID					141
#define IDH_PGPPK_USEEXCHANGEID				142
#define IDH_PGPPK_NEWEMAILADDR				147
#define IDH_PGPPK_NEWPHOTOID				148
#define IDH_PGPPK_BROWSENEWPHOTOID			149

#define IDH_PGPCL_KEYID						160
#define IDH_PGPCL_CREATEDATE				161
#define IDH_PGPCL_KEYTYPE					162
#define IDH_PGPCL_KEYEXPIRES				163
#define IDH_PGPCL_VALIDITY					164
#define IDH_PGPCL_VALIDITYBAR				165
#define IDH_PGPCL_TRUST						166
#define IDH_PGPCL_TRUSTSLIDER				167
#define IDH_PGPCL_HEXFINGERPRINT			168
#define IDH_PGPCL_ENABLED					169
#define IDH_PGPCL_CHANGEPHRASE				170
#define IDH_PGPCL_AXIOMATIC					171
#define IDH_PGPCL_PROPGENERALDIALOG			172
#define IDH_PGPCL_DISPLAYHEXFINGERPRINT		173
#define IDH_PGPCL_KEYSIZE					174
#define IDH_PGPCL_CIPHER					175
#define IDH_PGPCL_PHOTOID					176
#define IDH_PGPCL_JOINKEY					177
#define IDH_PGPCL_FINGERPRINT				178
#define IDH_PGPCL_ONTOKEN					179

#define IDH_PGPCL_SUBKEYLIST				180
#define IDH_PGPCL_SUBKEYCREATE				181
#define IDH_PGPCL_SUBKEYREVOKE				182
#define IDH_PGPCL_SUBKEYREMOVE				183
#define IDH_PGPCL_PROPSUBKEYDIALOG			189

#define IDH_PGPCL_ADKLIST					190
#define IDH_PGPCL_UPDATEADK					191
#define IDH_PGPCL_PROPADKDIALOG				194

#define IDH_PGPCL_REVOKERLIST				195
#define IDH_PGPCL_UPDATEREVOKER				196
#define IDH_PGPCL_PROPREVOKERSDIALOG		199

#define IDH_PGPPK_SIGNDIALOG				200
#define IDH_PGPPK_MORESIGCHOICES			201
#define IDH_PGPPK_FEWERSIGCHOICES			202
#define IDH_PGPPK_SIGNUSERIDLIST			203
#define IDH_PGPPK_ALLOWSIGEXPORT			204
#define IDH_PGPPK_SIGNONEXPORTABLE			205
#define IDH_PGPPK_SIGEXPORTABLE				206
#define IDH_PGPPK_SIGTRUSTED				207
#define IDH_PGPPK_SIGMETA					208
#define IDH_PGPPK_DOMAINRESTRICTION			209
#define IDH_PGPPK_SIGNEVEREXPIRES			210
#define IDH_PGPPK_SIGEXPIRES				211
#define IDH_PGPPK_SIGEXPIRATIONDATE			212
#define IDH_PGPPK_TRUSTDEPTH				213

#define IDH_PGPPK_REVOKECERTDIALOG			220

#define	IDH_PGPCL_IMPORT					261
#define	IDH_PGPCL_IMPORTSELALL				262
#define	IDH_PGPCL_IMPORTUNSELALL			263
#define	IDH_PGPCL_IMPORTLIST				264

#define IDH_PGPCL_NEWSUBKEYSIZE				281
#define IDH_PGPCL_NEWSUBKEYSTARTDATE		282
#define IDH_PGPCL_NEWSUBKEYNEVEREXPIRES 	283
#define IDH_PGPCL_NEWSUBKEYEXPIREDATE		284
#define IDH_PGPCL_NEWSUBKEYEXPIRES			285

#define	IDH_PGPKL_SELECT					301
#define	IDH_PGPKL_SELECTSELALL				302
#define	IDH_PGPKL_SELECTUNSELALL			303
#define	IDH_PGPKL_SELECTLIST				304

#define IDH_PGPPK_EXPORTPRIVATEKEYS			321
#define IDH_PGPPK_INCLUDEEXTENSIONS			322

#define IDH_PGPCL_PGPCERTDIALOG				360
#define IDH_PGPCL_PGPCERTNAME				361
#define IDH_PGPCL_PGPCERTKEYID				362
#define IDH_PGPCL_PGPCERTCREATION			363
#define IDH_PGPCL_PGPCERTEXPIRATION			364
#define IDH_PGPCL_PGPCERTEXPORTABLE			365
#define IDH_PGPCL_PGPCERTEXPIRED			366
#define IDH_PGPCL_PGPCERTREVOKED			367
#define IDH_PGPCL_PGPCERTSHOWSIGNER			368
#define IDH_PGPCL_PGPCERTDOMAIN				369

#define IDH_PGPCL_X509CERTDIALOG			380
#define IDH_PGPCL_X509CERTNAME				381
#define IDH_PGPCL_X509CERTISSUER			382
#define IDH_PGPCL_X509CERTLASTCRL			383
#define IDH_PGPCL_X509CERTNEXTCRL			384
#define IDH_PGPCL_X509CERTCREATION			385
#define IDH_PGPCL_X509CERTEXPIRATION		386
#define IDH_PGPCL_X509CERTEXPORTABLE		387
#define IDH_PGPCL_X509CERTEXPIRED			388
#define IDH_PGPCL_X509CERTREVOKED			389
#define IDH_PGPCL_X509CERTSHOWSIGNER		390

#define IDH_PGPCLPREF_GENERALDIALOG			1100
#define IDH_PGPCLPREF_ENCRYPTTOSELF			1101
#define IDH_PGPCLPREF_USEFASTKEYGEN			1110
#define IDH_PGPCLPREF_SHOWTRAYICON			1102
#define IDH_PGPCLPREF_COMMENTBLOCK			1111
#define IDH_PGPCLPREF_CACHELOGGEDON			1103
#define IDH_PGPCLPREF_CACHETIMED			1105
#define IDH_PGPCLPREF_NOCACHING				1106
#define IDH_PGPCLPREF_CACHEDURATION			1107
#define IDH_PGPCLPREF_WIPECONFIRM			1112
#define IDH_PGPCLPREF_NUMWIPEPASSES			1114
#define IDH_PGPCLPREF_NUMWIPEPASSESSPIN		1115
#define IDH_PGPCLPREF_WIPEONDELETE			1116
#define IDH_PGPCLPREF_SHOWWIPEPROGRESS		1117
#define IDH_PGPCLPREF_SHARECACHE			1118

#define IDH_PGPCLPREF_FILEDIALOG			1200
#define IDH_PGPCLPREF_PRIVATEKEYRING		1201
#define IDH_PGPCLPREF_BROWSEPRIVATEKEYRING	1202
#define IDH_PGPCLPREF_PUBLICKEYRING			1203
#define IDH_PGPCLPREF_BROWSEPUBLICKEYRING	1204
#define IDH_PGPCLPREF_RANDOMSEEDFILE		1205
#define IDH_PGPCLPREF_BROWSERANDOMSEEDFILE	1206
#define IDH_PGPCLPREF_NETPUBKEYRING			1207
#define IDH_PGPCLPREF_BROWSENETPUBKEYRING	1208
#define IDH_PGPCLPREF_NETSECKEYRING			1209
#define IDH_PGPCLPREF_BROWSENETSECKEYRING	1210
#define IDH_PGPCLPREF_USEMYKEYRINGS			1211

#define IDH_PGPCLPREF_EMAILDIALOG			1300
#define IDH_PGPCLPREF_USEPGPMIME			1301
#define IDH_PGPCLPREF_ENCRYPTBYDEFAULT		1307
#define IDH_PGPCLPREF_SIGNBYDEFAULT			1308
#define IDH_PGPCLPREF_AUTODECRYPT			1113
#define IDH_PGPCLPREF_WORDWRAPENABLE		1305
#define IDH_PGPCLPREF_WORDWRAPCOLUMN		1306
#define IDH_PGPCLPREF_ALWAYSUSESECUREVIEWER 1309

#define IDH_PGPCLPREF_HOTKEYDIALOG			1320
#define IDH_PGPCLPREF_ENABLEPURGEHOTKEY		1321
#define IDH_PGPCLPREF_PURGEHOTKEY			1322
#define IDH_PGPCLPREF_ENABLEENCRYPTHOTKEY	1323
#define IDH_PGPCLPREF_ENCRYPTHOTKEY			1324
#define IDH_PGPCLPREF_ENABLESIGNHOTKEY		1325
#define IDH_PGPCLPREF_SIGNHOTKEY			1326
#define IDH_PGPCLPREF_ENABLEESHOTKEY		1327
#define IDH_PGPCLPREF_ENCRYPTSIGNHOTKEY		1328
#define IDH_PGPCLPREF_ENABLEDECRYPTHOTKEY	1329
#define IDH_PGPCLPREF_DECRYPTHOTKEY			1330
#define IDH_PGPCLPREF_ENABLEUNMOUNTHOTKEY	1331
#define IDH_PGPCLPREF_UNMOUNTHOTKEY			1332

#define IDH_PGPCLPREF_KEYSERVERDIALOG		1400
#define IDH_PGPCLPREF_SERVERLIST			1401
#define IDH_PGPCLPREF_CREATESERVER			1402
#define IDH_PGPCLPREF_REMOVESERVER			1403
#define IDH_PGPCLPREF_EDITSERVER			1409
#define IDH_PGPCLPREF_SETROOTSERVER			1410
#define IDH_PGPCLPREF_SYNCONUNKNOWNKEYS		1405
#define IDH_PGPCLPREF_SYNCONADDNAME			1406
#define IDH_PGPCLPREF_SYNCONSIGN			1407
#define IDH_PGPCLPREF_SYNCONREVOKE			1408
#define IDH_PGPCLPREF_SYNCONVERIFY			1411
#define IDH_PGPCLPREF_MOVESERVERUP			1412
#define IDH_PGPCLPREF_MOVESERVERDOWN		1413
#define IDH_PGPCLPREF_SERVERLISTWHATSTHIS	1414

#define IDH_PGPCLPREF_SERVERNAME			1421
#define IDH_PGPCLPREF_SERVERPROTOCOL		1424
#define IDH_PGPCLPREF_SERVERPORT			1425
#define IDH_PGPCLPREF_SERVERAUTHKEY			1426
#define IDH_PGPCLPREF_SERVERNODOMAIN		1427
#define IDH_PGPCLPREF_SERVERDOMAIN			1428
#define IDH_PGPCLPREF_SERVERLISTED			1429
#define IDH_PGPCLPREF_SERVERTYPE			1430
#define IDH_PGPCLPREF_SERVERBASEDN			1431

#define IDH_PGPCLPREF_ADVANCEDDIALOG		1500
#define IDH_PGPCLPREF_PREFERREDALG			1504
#define IDH_PGPCLPREF_ENABLECAST			1501
#define IDH_PGPCLPREF_ENABLEAES				1514
#define IDH_PGPCLPREF_ENABLE3DES			1502
#define IDH_PGPCLPREF_ENABLEIDEA			1503
#define IDH_PGPCLPREF_ENABLETWOFISH			1509
#define IDH_PGPCLPREF_DISPMARGVALIDITY		1505
#define IDH_PGPCLPREF_WARNONMARGINAL		1104
#define IDH_PGPCLPREF_WARNONADK				1506
#define IDH_PGPCLPREF_EXPORTCOMPATIBLE		1507
#define IDH_PGPCLPREF_EXPORTCOMPLETE		1508
#define IDH_PGPCLPREF_ENABLEAUTOBACKUP		1510
#define IDH_PGPCLPREF_BACKUPTOKEYRINGFOLDER	1511
#define IDH_PGPCLPREF_BACKUPFOLDER			1512
#define IDH_PGPCLPREF_BROWSEBACKUPFOLDER	1513
#define IDH_PGPCLPREF_SMARTCARDDRIVER		1516
#define IDH_PGPCLPREF_SMARTCARDDRIVEROTHER	1515
#define IDH_PGPCLPREF_REPORTTOEPO			1517
#define IDH_PGPCLPREF_SMARTCARDDRIVERBROWSE	1518

#define IDH_PGPCLPREF_CADIALOG				1520
#define IDH_PGPCLPREF_CAURL					1521
#define IDH_PGPCLPREF_CAREVOCATIONURL		1522
#define IDH_PGPCLPREF_CATYPE				1523
#define IDH_PGPCLPREF_CAROOTCERT			1524
#define IDH_PGPCLPREF_CACLEARROOTCERT		1525
#define IDH_PGPCLPREF_CASELECTROOTCERT		1526

#define IDH_PGPPK_SPLITDIALOG				1600
#define IDH_PGPPK_NEWSHAREHOLDER			1601
#define IDH_PGPPK_KEYTOSPLIT				1602
#define IDH_PGPPK_SHAREHOLDERS				1603
#define IDH_PGPPK_SELECTEDSHAREHOLDER		1604
#define IDH_PGPPK_SELECTEDSHARES			1605
#define IDH_PGPPK_REMOVESHARES				1606
#define IDH_PGPPK_ADDSHARES					1607
#define IDH_PGPPK_TOTALSHARES				1608
#define IDH_PGPPK_SPLITTHRESHOLD			1609
#define IDH_PGPPK_SPLIT						1610

#define IDH_PGPCLRECON_KEYTORECON			1631
#define IDH_PGPCLRECON_SHAREHOLDERLIST		1632
#define IDH_PGPCLRECON_SHARESCOLLECTED		1633
#define IDH_PGPCLRECON_SHARESNEEDED			1634
#define IDH_PGPCLRECON_STARTNETWORK			1635
#define IDH_PGPCLRECON_NETWORKSTATUS		1636
#define IDH_PGPCLRECON_NETWORKAUTHENTICATION	1637
#define IDH_PGPCLRECON_SELECTSHAREFILE		1638
#define IDH_PGPCLRECON_STOPNETWORK			1639

#define IDH_PGPCLSEND_SHAREFILE				1661
#define IDH_PGPCLSEND_NUMSHARESINFILE		1662
#define IDH_PGPCLSEND_REMOTECOMPUTER		1663
#define IDH_PGPCLSEND_NETWORKSTATUS			1664
#define IDH_PGPCLSEND_NETWORKAUTHENTICATION	1665
#define IDH_PGPCLSEND_SENDSHARES			1666
#define IDH_PGPCLSEND_DONE					1667

#define IDH_PGPCLAV_CATYPE					1701
#define IDH_PGPCLAV_AVLIST					1702
#define IDH_PGPCLAV_ADDAV					1703
#define IDH_PGPCLAV_EDITAV					1704
#define IDH_PGPCLAV_REMOVEAV				1705
#define IDH_PGPCLAV_CRSREQUEST				1706
#define IDH_PGPCLAV_PKCS10REQUEST			1707

#define IDH_PGPCLAV_ATTRIBUTE				1711
#define IDH_PGPCLAV_VALUE					1712

#define IDH_PGPCLRECONSTRUCT_PROMPT			1721
#define IDH_PGPCLRECONSTRUCT_ANSWER			1722
#define IDH_PGPCLRECONSTRUCT_HIDEANSWER		1723
#define IDH_PGPCLRECONSTRUCT_MOREINFOSEND	1724
#define IDH_PGPCLRECONSTRUCT_MOREINFOGET	1725

#define IDH_PGPCLRECONSTRUCT_USERID			1741
#define IDH_PGPCLRECONSTRUCT_PASSWORD		1742

#define IDH_PGPCLMISC_AUTHSERVERNAME		1901
#define IDH_PGPCLMISC_AUTHKEYNAME			1902
#define IDH_PGPCLMISC_AUTHKEYFINGERPRINT	1903
#define IDH_PGPCLMISC_AUTHKEYVALIDITY		1904
#define IDH_PGPCLMISC_AUTHIMPORTKEY			1905
#define IDH_PGPCLMISC_AUTHCONFIRM			1906
#define	IDH_PGPCLMISC_AUTHCERTIFICATE		1907
#define	IDH_PGPCLMISC_AUTHSIGNATURE			1908
#define	IDH_PGPCLMISC_AUTHEXCHANGE			1909
#define	IDH_PGPCLMISC_AUTHCIPHER			1910
#define	IDH_PGPCLMISC_AUTHHASH				1911

#define IDH_PGPCLX509_SELECTLIST			1921
#define IDH_PGPCLX509_SELECT				1922

#define IDH_PGPCLWIZ_EXPERTMOREINFO			2000
#define IDH_PGPCLWIZ_RECONMOREINFO			2001

#define IDH_PGPPK_SEARCH_DIALOG				2100

#define IDH_PGPPK_OPENPUBRING				2201
#define IDH_PGPPK_OPENSECRING				2202
#define IDH_PGPPK_BROWSEPUBRING				2203
#define IDH_PGPPK_BROWSESECRING				2204

#define IDH_PGPPKGRP_GROUPNAME				2601
#define IDH_PGPPKGRP_GROUPDESC				2602

#define IDH_PGPPKGRP_DELETEONE				2701
#define IDH_PGPPKGRP_DELETEALL				2702
#define IDH_PGPPKGRP_DELETENO				2703
#define IDH_PGPPKGRP_DELETECANCEL			2704

#define IDH_PGPPKSEARCH_SEARCH				2801
#define IDH_PGPPKSEARCH_STOP				2802
#define IDH_PGPPKSEARCH_CLEAR				2803
#define IDH_PGPPKSEARCH_LOCATION			2804
#define IDH_PGPPKSEARCH_ATTRIBUTE			2805
#define IDH_PGPPKSEARCH_VERB				2806
#define IDH_PGPPKSEARCH_MORE				2811
#define IDH_PGPPKSEARCH_FEWER				2812
#define IDH_PGPPKSEARCH_PENDING				2813

#define IDH_PGPPKTOKEN_CONTENTSDIALOG		2900
#define IDH_PGPPKTOKEN_CONTENTSKEYS			2901
#define IDH_PGPPKTOKEN_WIPECONTENTS			2902
#define IDH_PGPPKTOKEN_MANUFACTURER			2903
#define IDH_PGPPKTOKEN_MODEL				2904
#define IDH_PGPPKTOKEN_SERIALNUMBER			2905
#define IDH_PGPPKTOKEN_KEYSUPPORT			2906
#define IDH_PGPPKTOKEN_PINLENGTH			2907
#define IDH_PGPPKTOKEN_NUMPRIVKEYS			2908

#define IDH_PGPCLLIC_NOLICENSEUPGRADE		3001
#define IDH_PGPCLLIC_EXPIRERENEW			3011
#define IDH_PGPCLLIC_DISPLAYCHANGE			3021
#define IDH_PGPCLLIC_DISPLAYPURCHASE		3022
#define IDH_PGPCLLIC_DISPLAYUSERNAME		3023
#define IDH_PGPCLLIC_DISPLAYCOMPANYNAME		3024
#define IDH_PGPCLLIC_DISPLAYSEATS			3025
#define IDH_PGPCLLIC_DISPLAYEXPIRATION		3026
#define IDH_PGPCLLIC_DISPLAYENTERPRISE		3027
#define IDH_PGPCLLIC_DISPLAYDESKTOP			3028
#define IDH_PGPCLLIC_DISPLAYPGPDISK			3029
#define IDH_PGPCLLIC_DISPLAYPGPMAIL			3030
#define IDH_PGPCLLIC_ENTERLATER				3041
#define IDH_PGPCLLIC_ENTERMANUAL			3042
#define IDH_PGPCLLIC_ENTERPURCHASE			3043
#define IDH_PGPCLLIC_ENTERAUTHORIZE			3044
#define IDH_PGPCLLIC_ENTERUSERNAME			3045
#define IDH_PGPCLLIC_ENTERCOMPANYNAME		3046
#define IDH_PGPCLLIC_ENTERLN				3047
#define IDH_PGPCLLIC_ENTERMANUALLA			3048

// IDs greater than 10000 are reserved for SDKUI help elements
// see PGPsdkHelp.h

