//____________________________________________________________________________
//	Copyright (C) 2002 PGP Corporation
//	All rights reserved.
//
//	PGPadminHelp.h - help IDs for PGPadmin
//
//	$Id: PGPadminHelp.h,v 1.18 2002/11/19 14:50:22 pbj Exp $
//____________________________________________________________________________


#define IDH_PGPADMIN_ACCESSDIALOG			6000
#define IDH_PGPADMIN_INCLUDEOPTIONS			6001
#define IDH_PGPADMIN_OPTIONS				6002

#define IDH_PGPADMIN_ADKDIALOG				6100
#define IDH_PGPADMIN_ADK_TYPE				6101
#define IDH_PGPADMIN_ENABLEADK				6102
#define IDH_PGPADMIN_ENFORCEADK				6103
#define IDH_PGPADMIN_ADK_ID					6104
#define IDH_PGPADMIN_ENFORCE_REMOTEADK		6105

#define IDH_PGPADMIN_CORPKEYDIALOG			6200
#define IDH_PGPADMIN_AUTOSIGNTRUST			6201
#define IDH_PGPADMIN_METAINTRODUCER			6202
#define IDH_PGPADMIN_TRUSTDEPTH				6204
#define IDH_PGPADMIN_CORPKEY_ID				6205

#define IDH_PGPADMIN_DEFAULTKEYSDIALOG		6300
#define IDH_PGPADMIN_DEFKEY_ID				6301

#define IDH_PGPADMIN_INSTALLOPTIONSDIALOG	6400
#define IDH_PGPADMIN_PRESELECT				6401
#define IDH_PGPADMIN_USERINSTALLDIR			6402
#define IDH_PGPADMIN_INSTALLPROGRAMS		6403
#define IDH_PGPADMIN_INSTALLLOGIN			6404
#define IDH_PGPADMIN_INSTALLNET				6405
#define IDH_PGPADMIN_INSTALLDISK			6406
#define IDH_PGPADMIN_INSTALLEUDORA			6407
#define IDH_PGPADMIN_INSTALLOUTLOOK			6408
#define IDH_PGPADMIN_INSTALLOUTEXPRESS		6409
#define IDH_PGPADMIN_INSTALLICQ				6410
#define IDH_PGPADMIN_INSTALLLOTUS			6411
#define IDH_PGPADMIN_INSTALLMANUAL			6412
#define IDH_PGPADMIN_UNINSTALL				6413
#define IDH_PGPADMIN_AUTOREBOOT				6414
#define IDH_PGPADMIN_INSTALLFIRE			6415
#define IDH_PGPADMIN_DISABLEUPGRADE			6416
#define IDH_PGPADMIN_INSTALLGROUPWISE		6417
#define IDH_PGPADMIN_SILENTAFTERINSTALL		6418

#define IDH_PGPADMIN_KEYGENDIALOG			6500
#define IDH_PGPADMIN_ALLOW_KEYGEN			6501
#define IDH_PGPADMIN_SETKEYGEN				6502
#define IDH_PGPADMIN_DHTYPE					6503
#define IDH_PGPADMIN_RSATYPE				6504
#define IDH_PGPADMIN_NEVEREXPIRES			6505
#define IDH_PGPADMIN_EXPIRES				6506
#define IDH_PGPADMIN_EXPIRATIONDATE			6507
#define IDH_PGPADMIN_1024BITS				6508
#define IDH_PGPADMIN_1536BITS				6509
#define IDH_PGPADMIN_2048BITS				6510
#define IDH_PGPADMIN_3072BITS				6511
#define IDH_PGPADMIN_CUSTOMBITS				6512
#define IDH_PGPADMIN_KEYGENCERTREQUEST		6513
#define IDH_PGPADMIN_ALLOWMANUALREQUEST		6514
#define IDH_PGPADMIN_CATYPE					6515
#define IDH_PGPADMIN_ALWAYSSEND				6516
#define IDH_PGPADMIN_AUTORECONSTRUCTION		6517
#define IDH_PGPADMIN_RECONSTRUCTIONSERVER	6518
#define IDH_PGPADMIN_RECONSERVER_PGP		6519
#define IDH_PGPADMIN_RECONSERVER_X509		6520
#define IDH_PGPADMIN_AUTOSIGNROOTCAKEY		6521
#define IDH_PGPADMIN_RSALEGACYTYPE			6522
#define IDH_PGPADMIN_ADDATTRIBUTES			6523
#define IDH_PGPADMIN_SMARTCARD				6524

#define IDH_PGPADMIN_PASSPHRASEDIALOG		6600
#define IDH_PGPADMIN_ENFORCE_MINCHARS		6601
#define IDH_PGPADMIN_MINCHARS				6602
#define IDH_PGPADMIN_ENFORCE_MINQUALITY		6603
#define IDH_PGPADMIN_MINQUALITY				6604

#define IDH_PGPADMIN_REVOKERDIALOG			6700
#define IDH_PGPADMIN_ENABLEREVOKER			6701
#define IDH_PGPADMIN_REVOKER_ID				6702
#define IDH_PGPADMIN_AUTOCRL				6703

#define IDH_PGPADMIN_SERVERUPDATESDIALOG	6800
#define IDH_PGPADMIN_UPDATEPREFS			6801
#define IDH_PGPADMIN_PREFDAYS				6802
#define IDH_PGPADMIN_UPDATEALLKEYS			6803
#define IDH_PGPADMIN_KEYSDAYS				6804
#define IDH_PGPADMIN_UPDATETRUSTED			6805
#define IDH_PGPADMIN_TRUSTEDDAYS			6806
#define IDH_PGPADMIN_LDAPSERVER				6807

#define IDH_PGPADMIN_MISCDIALOG				6900
#define IDH_PGPADMIN_ALLOW_CONVENTIONAL		6901
#define IDH_PGPADMIN_INCLUDENETPREFS		6902
#define IDH_PGPADMIN_MERGENETHOSTS			6903
#define IDH_PGPADMIN_ALLOW_ENCRYPTINVALID	6904
#define IDH_PGPADMIN_ALLOW_KEYSIGNING		6905
#define IDH_PGPADMIN_ADD_EXCHANGEID			6906
#define	IDH_PGPADMIN_DISK_CREATE			6907
#define	IDH_PGPADMIN_DISK_SIZE				6908
#define	IDH_PGPADMIN_DISK_FILESYSTEM		6909
#define	IDH_PGPADMIN_DISK_ALGORITHM			6910
#define IDH_PGPADMIN_ADD_LOTUSID			6911
