//____________________________________________________________________________
//	Copyright (C) 2002 PGP Corporation
//	All rights reserved.
//
//	PGPvpnHelp.h - help IDs for PGPnet VPN
//
//
//	$Id: PGPvpnHelp.h,v 1.5 2002/08/06 20:10:28 dallen Exp $
//____________________________________________________________________________

#define IDH_PNMAIN_TABS 					1
#define IDH_PNMAIN_PGPONOFF 				2
#define IDH_PNMAIN_TABS_FULLINSTALL			3

#define IDH_PNSTATUS_LIST					101
#define IDH_PNSTATUS_SAVE					102
#define IDH_PNSTATUS_REMOVE					103
#define IDH_PNSTATUS_SAPROPERTIES			104

#define IDH_PNLOG_LIST						201
#define IDH_PNLOG_SAVE						202
#define IDH_PNLOG_CLEAR						203
#define IDH_PNLOG_FILTERSERVICE				204
#define IDH_PNLOG_FILTERIKE					205
#define IDH_PNLOG_FILTERPGP					206
#define IDH_PNLOG_FILTERSYSTEM				207
#define IDH_PNLOG_FILTERIPSEC				210
#define IDH_PNLOG_ADVANCEDLOG				212

#define IDH_PNHOSTS_LIST					301
#define IDH_PNHOSTS_EDIT					302
#define IDH_PNHOSTS_REMOVE					303
#define IDH_PNHOSTS_ADD						304
#define IDH_PNHOSTS_CONNECT					305
#define IDH_PNHOSTS_DISCONNECT				306

#define IDH_PNADVLOG_LIST					501
#define IDH_PNADVLOG_CLOSE					502

#define IDH_PNEDITHOST_NAME					1501
#define IDH_PNEDITHOST_IPADDRESS			1502
#define IDH_PNEDITHOST_DNSLOOKUP			1503
#define IDH_PNEDITHOST_HOSTTYPE				1504
#define IDH_PNEDITHOST_SUBNETMASK			1505
#define IDH_PNEDITHOST_SETCLEARPASSPHRASE	1506
#define IDH_PNEDITHOST_ANYVALIDKEY			1509
#define IDH_PNEDITHOST_PGPAUTHKEY			1510
#define IDH_PNEDITHOST_X509AUTHCERT			1511
#define IDH_PNEDITHOST_AUTHKEY				1512
#define IDH_PNEDITHOST_USEWIZARD			1513
#define IDH_PNEDITHOST_AUTOCONNECT			1514
#define IDH_PNEDITHOST_MANUALCONNECT		1515
#define IDH_PNEDITHOST_EXCLUSIVEGATEWAY		1516
#define IDH_PNEDITHOST_VIRTUALIDENTITY		1517
#define IDH_PNEDITHOST_AGGRESSIVEMODE		1518
#define IDH_PNEDITHOST_USERNAME				1519
#define IDH_PNEDITHOST_AUTHTYPE				1520
#define IDH_PNEDITHOST_ENCAPSULATEIPSEC		1521

#define IDH_PNDNSLOOKUP_HOST				1601
#define IDH_PNDNSLOOKUP_LOOKUP				1602
#define IDH_PNDNSLOOKUP_ADDRESS				1603
#define IDH_PNDNSLOOKUP_USEADDRESS			1604
#define IDH_PNDNSLOOKUP_CANCEL				1605

#define IDH_PGPCLPREF_NETVPNDIALOG			1800
#define IDH_PGPCLPREF_ENABLEVPN				1801
#define IDH_PGPCLPREF_ATTEMPTSECURECOMM		1805
#define IDH_PGPCLPREF_ALLOWSECURECOMM		1806
#define IDH_PGPCLPREF_REQUIRESECURECOMM		1807
#define IDH_PGPCLPREF_IKETIMEEXPIREENABLE	1808
#define IDH_PGPCLPREF_IKETIMEEXPIRETIME		1809
#define IDH_PGPCLPREF_IKEDATAEXPIREENABLE	1810
#define IDH_PGPCLPREF_IKEDATAEXPIREBYTES	1811
#define IDH_PGPCLPREF_IPSECTIMEEXPIREENABLE	1812
#define IDH_PGPCLPREF_IPSECTIMEEXPIRETIME	1813
#define IDH_PGPCLPREF_IPSECDATAEXPIREENABLE	1814
#define IDH_PGPCLPREF_IPSECDATAEXPIREBYTES	1815

#define IDH_PGPCLPREF_NETAUTHDIALOG			1820
#define IDH_PGPCLPREF_PGPAUTHKEY			1821
#define IDH_PGPCLPREF_CLEARPGPAUTHKEY		1822
#define IDH_PGPCLPREF_SELECTPGPAUTHKEY		1823
#define IDH_PGPCLPREF_X509AUTHKEY			1824
#define IDH_PGPCLPREF_CLEARX509AUTHKEY		1825
#define IDH_PGPCLPREF_SELECTX509AUTHKEY		1826
#define IDH_PGPCLPREF_REQUIREVALIDCONFIG	1827
#define IDH_PGPCLPREF_REQUIREVALIDUNCONFIG	1828

#define IDH_PGPCLPREF_NETADVDIALOG			1840
#define IDH_PGPCLPREF_ALLOWCAST				1841
#define IDH_PGPCLPREF_ALLOW3DES				1842
#define IDH_PGPCLPREF_ALLOWDES				1843
#define IDH_PGPCLPREF_ALLOWNULLCIPHER		1844
#define IDH_PGPCLPREF_ALLOWSHA				1845
#define IDH_PGPCLPREF_ALLOWMD5				1846
#define IDH_PGPCLPREF_ALLOWNULLHASH			1847
#define IDH_PGPCLPREF_ALLOW1024				1848
#define IDH_PGPCLPREF_ALLOW1536				1849
#define IDH_PGPCLPREF_ALLOWLZS				1850
#define IDH_PGPCLPREF_ALLOWDEFLATE			1851
#define IDH_PGPCLPREF_DEFAULTSETTINGS		1852
#define IDH_PGPCLPREF_IKEPROPOSALS			1853
#define IDH_PGPCLPREF_IPSECPROPOSALS		1854
#define IDH_PGPCLPREF_NEWPROPOSAL			1855
#define IDH_PGPCLPREF_EDITPROPOSAL			1856
#define IDH_PGPCLPREF_REMOVEPROPOSAL		1857
#define IDH_PGPCLPREF_MOVEPROPOSALUP		1858
#define IDH_PGPCLPREF_MOVEPROPOSALDOWN		1859
#define IDH_PGPCLPREF_PERFECTFWDSECRECY		1860
#define IDH_PGPCLPREF_IKEAUTHENTICATION		1871
#define IDH_PGPCLPREF_IKEHASH				1872
#define IDH_PGPCLPREF_IKECIPHER				1873
#define IDH_PGPCLPREF_IKEDIFFIEHELLMAN		1874
#define IDH_PGPCLPREF_IPSECAHENABLE			1881
#define IDH_PGPCLPREF_IPSECAHHASH			1882
#define IDH_PGPCLPREF_IPSECESPENABLE		1883
#define IDH_PGPCLPREF_IPSECESPHASH			1884
#define IDH_PGPCLPREF_IPSECESPCIPHER		1885
#define IDH_PGPCLPREF_IPSECCOMPENABLE		1886
#define IDH_PGPCLPREF_IPSECCOMPALGORITHM	1887

#define IDH_PNSAPROPS_NAME					1901
#define IDH_PNSAPROPS_TYPE					1902
#define IDH_PNSAPROPS_REMOTEID				1903
#define IDH_PNSAPROPS_REMOTEIP				1904
#define IDH_PNSAPROPS_BYTESSENT				1905
#define IDH_PNSAPROPS_BYTESRECEIVED			1906
#define IDH_PNSAPROPS_MAXBYTES				1907
#define IDH_PNSAPROPS_ENCRYPTION			1908
#define IDH_PNSAPROPS_AUTHENTICATION		1909
#define IDH_PNSAPROPS_COMPRESSION			1910
#define IDH_PNSAPROPS_PROXYIP				1911
#define IDH_PNSAPROPS_PROXYMASK				1912
#define IDH_PNSAPROPS_INTERNALIP			1913
#define IDH_PNSAPROPS_INTERALDNS			1914
#define IDH_PNSAPROPS_INTERNALWINS			1915
#define IDH_PNSAPROPS_EXPIRES				1916
#define IDH_PNSAPROPS_CLOSE					1917
#define IDH_PNSAPROPS_AUTOCONFIGURE			1918
#define IDH_PNSAPROPS_DOMAINNAME			1919
#define IDH_PNSAPROPS_PUSHPIN				1920

