/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: pgpNetLogUtils.h,v 1.2 2002/08/06 20:10:28 dallen Exp $
____________________________________________________________________________*/

#ifndef _Included_pgpNetLogUtils_h
#define _Included_pgpNetLogUtils_h

#include "pgpTypes.h"
#include "pgpPFLErrors.h"
#include "pgpMemoryMgr.h"
#include "pgpFileSpec.h"
#include "pgpNetLog.h"
#include "pgpWin32IPC.h"

#define kPGPnetPacketFileName	"PGPnetPacket"
#define kPGPnetPacketFileExt	".cap"

PGP_BEGIN_C_DECLARATIONS

PGPError pgpGetApplicationDataPath(char* pathBuf, PGPUInt32	bufferSize);
PGPError pgpGetLogFileFullPath(char *szFile, PGPUInt32 uLen);
PGPError pgpGetEventDirFullPath(char *szFile, PGPUInt32 uLen);
PGPError pgpNetNewPacketFileSpec(PGPMemoryMgrRef inMemoryMgr, PFLFileSpecRef* inSpec,
									char* outFilename, PGPUInt32 inBufferSize);

PGP_END_C_DECLARATIONS

#endif	// _Included_pgpNetLogUtils_h
