/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CTimer.cpp,v 1.2 2002/08/06 20:10:38 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"

#include "CTimer.h"
#include "CTimerImp.h"

_USING_PGP

// Class CTimer public member functions

DEFINE_IMPHOST(CTimer, TimerImp, CPFLImpFactory)

PGPBoolean 
CTimer::IsPeriodic() const
{
	return Imp()->IsPeriodic();
}

PGPBoolean 
CTimer::IsTimerRunning() const
{
	return Imp()->IsTimerRunning();
}

SMART_ERROR 
CTimer::StartTimer(
	CallbackFunc	timerCallback, 
	void			*userData, 
	PGPUInt32		msInterval, 
	PGPBoolean		isPeriodic)
{
	SMART_ERROR_CALL Imp()->StartTimer(timerCallback, userData, msInterval, 
		isPeriodic);
}

void 
CTimer::StopTimer()
{
	Imp()->StopTimer();
}
