/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: UString.h,v 1.4 2002/08/06 20:10:38 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_UString_h	// [
#define Included_UString_h

#include "pgpClassesConfig.h"

_PGP_BEGIN

namespace UString
{
	inline 
	PGPUInt8 
	LetterToNumber(char c)
	{
		return (toupper(c) - 'A');
	}

	inline 
	char 
	NumberToLetter(PGPUInt8 n)
	{
		return (n + 'A');
	};

	inline 
	char 
	LastChar(const char *string)
	{
		return string[strlen(string) - 1];
	}

	void	SmartStringCopy(char *outString, const char *inString, 
		PGPUInt32 outBufSize);
}

_PGP_END

#endif	// Included_UString_h
