/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	
	$Id: pgpTypes.h,v 1.7 2002/08/06 20:10:34 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_pgpTypes_h	/* [ */
#define Included_pgpTypes_h

#if PGP_MACINTOSH
#include <types.h>
#else
#include <sys/types.h>
#endif

#include "pgpBase.h"

#if ! HAVE_UCHAR
typedef unsigned char	uchar;
#endif

#if ! HAVE_USHORT
typedef unsigned short	ushort;
#endif

#if ! HAVE_UINT
typedef unsigned int	uint;
#endif

#if ! HAVE_ULONG
typedef unsigned long	ulong;
#endif

/* Lookie here!  An ANSI-compliant alignment finder! */
#ifndef	alignof

#ifdef __cplusplus
#define	alignof(type) (1)
#else
#define	alignof(type) (sizeof(struct{type _x; char _y;}) - sizeof(type))
#endif

#ifdef PGP_WIN32
#ifndef __MWERKS__
/* Causes "unnamed type definition in parentheses" warning" */
#pragma warning ( disable : 4116 )
#endif
#endif

#endif

#endif /* ] Included_pgpTypes_h */

/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
