/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CButton.h,v 1.3 2002/08/06 20:10:45 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CButton_h	// [
#define Included_CButton_h

#include "pgpClassesConfig.h"
#include "CWindow.h"

_PGP_BEGIN

// Class CButton

class CButton : public CWindow
{
public:
	CButton() { }
	CButton(HWND hWnd) : CWindow(hWnd) { }
	~CButton() { }

	void		Click() const
	{
		SendMessage(BM_CLICK, 0, 0);
	}

	PGPUInt32	GetCheck() const
	{
		return SendMessage(BM_GETCHECK, 0, 0);
	}

	PGPUInt32	GetState() const
	{
		return SendMessage(BM_GETSTATE, 0, 0);
	}

	void		SetCheck(PGPUInt32 state) const
	{
		SendMessage(BM_SETCHECK, state, 0);
	}

	void		SetState(PGPUInt32 state) const
	{
		SendMessage(BM_SETSTATE, state, 0);
	}
};

_PGP_END

#endif	// ] Included_CButton_h
