/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CComLibrary.h,v 1.3 2002/08/06 20:10:45 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CComLibrary_h	// [
#define Included_CComLibrary_h

#include "pgpClassesConfig.h"
#include <objbase.h>

_PGP_BEGIN

// Class CComLibrary

class CComLibrary
{
	NOT_COPYABLE(CComLibrary)

public:
	CComLibrary();
	~CComLibrary();

private:

};


// Class CComLibrary inline public member functions

inline 
CComLibrary::CComLibrary()
{
	HRESULT	result	= CoInitialize(NULL);

	if ((result != S_OK) && (result != S_FALSE))
		THROW_PGPERROR(kPGPError_Win32COMOpFailed);
}

inline 
CComLibrary::~CComLibrary()
{
	CoUninitialize();
}

_PGP_END

#endif	// ] Included_CComLibrary_h
