/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CMessageBox.h,v 1.4 2002/08/06 20:10:46 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CMessageBox_h	// [
#define Included_CMessageBox_h

#include "pgpClassesConfig.h"
#include "CPath.h"

_PGP_BEGIN

// Class CMessageBox

class CMessageBox
{
	NOT_COPYABLE(CMessageBox)

public:
	enum Style
	{
		kOkStyle, 
		kOkCancelStyle, 
		kYesNoStyle, 
		kYesNoCancelStyle
	};

	enum Button
	{
		kYesButton, 
		kNoButton, 
		kOkButton, 
		kCancelButton
	};

	enum Tone
	{
		kWarningTone, 
		kInfoTone, 
		kQuestionTone, 
		kStopTone, 
	};

public:
	~CMessageBox() { }
	CMessageBox() { }

	Button	Display(const char *message, const char *title = NULL, 
		HWND parentWindow = NULL, Tone = kStopTone, Style style = kOkStyle, 
		Button focus = kOkButton) const;
};

_PGP_END

#endif	// ] Included_CMessageBox_h
