/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: COpenFileDialog.h,v 1.4 2002/08/06 20:10:46 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_COpenFileDialog_h	// [
#define Included_COpenFileDialog_h

#include "pgpClassesConfig.h"
#include <commdlg.h>

_PGP_BEGIN

// Types

class CPath;


// Class COpenFileDialog

class COpenFileDialog
{
	NOT_COPYABLE(COpenFileDialog)

public:
	~COpenFileDialog() { }
	COpenFileDialog() { }

	void	Choose(HWND parentWnd, CPath& path, 
		const char *defaultPath = NULL, const char *title = NULL, 
		const char *filter = NULL, const char *defaultExt = NULL);

private:
	OPENFILENAME	mOfn;

	static UINT CALLBACK	OpenDialogHookProc(HWND hdlg, UINT uiMsg, 
		WPARAM wParam, LPARAM lParam);
};

_PGP_END

#endif	// ] Included_COpenFileDialog_h
