/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CProgressBar.cpp,v 1.2 2002/08/06 20:10:46 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"
#include "CProgressBar.h"

_USING_PGP

// Class CProgressBar public member functions

void 
CProgressBar::GetRange(PGPInt32& low, PGPInt32& high) const
{
	PBRANGE	range;

	SendMessage(PBM_GETRANGE, 0, reinterpret_cast<LPARAM>(&range));

	low = range.iLow;
	high = range.iHigh;
}

PGPInt32 
CProgressBar::SetPosWTimeout(PGPInt32 newPos, PGPUInt32 ms) const
{
	DWORD	result	= 0;
	SendMessageTimeout(PBM_SETPOS, newPos, 0, SMTO_ABORTIFHUNG, ms, result);

	return result;
}
