/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CSpinLockImpWin32.h,v 1.3 2002/08/06 20:10:46 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CSpinLockImp98_h	// [
#define Included_CSpinLockImp98_h

#include "pgpClassesConfig.h"

#include "CMutex.h"
#include "CSpinLockImp.h"

_PGP_BEGIN

// Class CSpinLockImpWin32

// Implemented as a mutex under Win32.

class CSpinLockImpWin32 : public CSpinLockImp
{
	friend class CPFLImpFactoryWin32;

public:
	void	Lock() {mMutex.Enter();}
	void	Unlock() {mMutex.Leave();}

private:
	CMutex	mMutex;
};

_PGP_END

#endif	// ] Included_CSpinLockImp98_h
