/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CThreadImpWin32.cpp,v 1.2 2002/08/06 20:10:46 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"
#include <process.h>

#include "CThreadImpWin32.h"

_USING_PGP

// Class CThreadImpWin32 private member functions

void 
CThreadImpWin32::StartOsThread()
{
	// KB Q104641
	if (_beginthread(MainThreadFunction, 0, this) == -1)
		THROW_PGPERROR(kPGPError_ThreadOpFailed);
}

void 
CThreadImpWin32::MainThreadFunctionAux()
{
	while (TRUE)
	{
		try
		{
			// Call the main loop function.
			if (!MainThreadLoop())
				break;
		}
		catch (CComboError&)
		{
			pgpDebugMsg("Uncaught exception in PGPdisk thread!");
		}
	}
}

void 
_cdecl 
CThreadImpWin32::MainThreadFunction(void *pUserData)
{
	CThreadImpWin32	*pThreadImpWin32	= 
		static_cast<CThreadImpWin32 *>(pUserData);

	pgpAssertAddrValid(pThreadImpWin32, CThreadImpWin32);
	pThreadImpWin32->MainThreadFunctionAux();
}
