/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CTimerImpWin32.h,v 1.3 2002/08/06 20:10:46 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CTimerImpWin32_h	// [
#define Included_CTimerImpWin32_h

#include "pgpClassesConfig.h"

#include "CHashTable.h"
#include "CTimerImp.h"

_PGP_BEGIN

// Class CTimerImpWin32

class CTimerImpWin32 : public CTimerImp
{
	friend class CPFLImpFactoryWin32;

private:
	CTimerImpWin32() { }
	~CTimerImpWin32() { }

	void	StartTimer(CTimer::CallbackFunc timerCallback, void *userData, 
		PGPUInt32 msInterval, PGPBoolean isPeriodic)
	{
		pgpAssert("Class CTimerImpWin32 unimplemented\n");
		THROW_PGPERROR(kPGPError_FeatureNotAvailable);
	}

	void	StopTimer()
	{
		pgpAssert("Class CTimerImpWin32 unimplemented\n");
		THROW_PGPERROR(kPGPError_FeatureNotAvailable);
	}
};

_PGP_END

#endif	// ] Included_CTimerImpWin32_h
