/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: UWinVersion.h,v 1.4 2002/08/06 20:10:47 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_UWinVersion_h	// [
#define Included_UWinVersion_h

#include "pgpClassesConfig.h"

_PGP_BEGIN

namespace UWinVersion
{
	// Constants

	enum Version 
	{
		kWin95OSR1, 
		kWin95OSR2, 
		kWin98OrFuture, 
		kWinNT3, 
		kWinNT4NoSp, 
		kWinNT4Sp1, 
		kWinNT4Sp2, 
		kWinNT4Sp3, 
		kWinNT4Sp4, 
		kWinNT4Sp5, 
		kWinNT4PostSp5, 
		kWin2000, 
		kWinPost2000, 
		kWinUnknown
	};

	// Functions

	PGPBoolean	IsWin95Compatible();
	PGPBoolean	IsWin95OSR2Compatible();
	PGPBoolean	IsWin98Compatible();
	PGPBoolean	IsWinNT4Compatible();
	PGPBoolean	IsWin2000Compatible();

	Version	GetVersion();
}

_PGP_END

#endif	// ] Included_UWinVersion_h
