/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CPFLImpFactoryDrv98.h,v 1.3 2002/08/06 20:10:49 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CPFLImpFactoryDrv98_h	// [
#define Included_CPFLImpFactoryDrv98_h

#include "pgpClassesConfig.h"
#include "CPFLImpFactory.h"

_PGP_BEGIN

// Class CPFLImpFactoryDrv98

class CPFLImpFactoryDrv98 : public CPFLImpFactory
{
	DECLARE_SINGLETON_NEWDELFUNCS()

	DECLARE_IMP_NEWFUNCS(CFileImp, FileImp);
	DECLARE_IMP_NEWFUNCS(CMutexImp, MutexImp);
	DECLARE_IMP_NEWFUNCS(CSemaphoreImp, SemaphoreImp);
	DECLARE_IMP_NEWFUNCS(CSpinLockImp, SpinLockImp);
	DECLARE_IMP_NEWFUNCS(CThreadImp, ThreadImp);
	DECLARE_IMP_NEWFUNCS(CTimerImp, TimerImp);
};

_PGP_END

#endif	// Included_CPFLImpFactoryDrv98_h
