/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CThreadImpDrv98.cpp,v 1.2 2002/08/06 20:10:50 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"
#include "CThreadImpDrv98.h"

_USING_PGP

// Class CThreadImpDrv98 member functions

CComboError 
CThreadImpDrv98::StartOsThread()
{
	CComboError	error;
	HANDLE		ring3Handle;

	mThreadHandle = _VWIN32_CreateRing0Thread(4096, 
		reinterpret_cast<PGPUInt32>(this), MainThreadFunction, NULL, 
		ring3Handle);

	if (mThreadHandle == 0)
		error.pgpErr = kPGPError_ThreadOpFailed;

	return error;
}

void 
CThreadImpDrv98::MainThreadFunctionAux()
{
	while (TRUE)
	{
		// Call the main loop function.
		if (!MainThreadLoop())
			break;
	}
}

void 
CThreadImpDrv98::MainThreadFunction(DWORD refData)
{
	CThreadImpDrv98	*pThreadImpDrv98	= 
		reinterpret_cast<CThreadImpDrv98 *>(refData);

	pgpAssertAddrValid(pThreadImpDrv98, CThreadImpDrv98);
	pThreadImpDrv98->MainThreadFunctionAux();
}
