/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CPFLImpFactoryDrvNT.cpp,v 1.2 2002/08/06 20:10:50 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"

#include "CFileImpDrvNT.h"
#include "CMutexImpDrvNT.h"
#include "CPFLImpFactoryDrvNT.h"
#include "CSemaphoreImpDrvNT.h"
#include "CSpinLockImpDrvNT.h"
#include "CThreadImpDrvNT.h"
#include "CTimerImpDrvNT.h"

_USING_PGP

// Class CPFLImpFactoryDrvNT generated member functions

DEFINE_SINGLETON_NEWDELFUNCS(CPFLImpFactoryDrvNT)

DEFINE_IMP_NEWFUNCS(CFileImpDrvNT, CFileImp, 
	CPFLImpFactoryDrvNT, FileImp)
DEFINE_IMP_NEWFUNCS(CMutexImpDrvNT, CMutexImp, 
	CPFLImpFactoryDrvNT, MutexImp)
DEFINE_IMP_NEWFUNCS(CSemaphoreImpDrvNT, CSemaphoreImp, 
	CPFLImpFactoryDrvNT, SemaphoreImp)
DEFINE_IMP_NEWFUNCS(CSpinLockImpDrvNT, CSpinLockImp, 
	CPFLImpFactoryDrvNT, SpinLockImp)
DEFINE_IMP_NEWFUNCS(CThreadImpDrvNT, CThreadImp, 
	CPFLImpFactoryDrvNT, ThreadImp)
DEFINE_IMP_NEWFUNCS(CTimerImpDrvNT, CTimerImp, 
	CPFLImpFactoryDrvNT, TimerImp)
