/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CPFLImpFactoryDrvNT.h,v 1.3 2002/08/06 20:10:51 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CPFLImpFactoryDrvNT_h	// [
#define Included_CPFLImpFactoryDrvNT_h

#include "pgpClassesConfig.h"
#include "CPFLImpFactory.h"

_PGP_BEGIN

// Class CPFLImpFactoryDrvNT

class CPFLImpFactoryDrvNT : public CPFLImpFactory
{
	DECLARE_SINGLETON_NEWDELFUNCS()

	DECLARE_IMP_NEWFUNCS(CFileImp, FileImp);
	DECLARE_IMP_NEWFUNCS(CMutexImp, MutexImp);
	DECLARE_IMP_NEWFUNCS(CSemaphoreImp, SemaphoreImp);
	DECLARE_IMP_NEWFUNCS(CSpinLockImp, SpinLockImp);
	DECLARE_IMP_NEWFUNCS(CThreadImp, ThreadImp);
	DECLARE_IMP_NEWFUNCS(CTimerImp, TimerImp);
};

_PGP_END

#endif	// Included_CPFLImpFactoryDrvNT_h
