/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: pgpIKEEC.h,v 1.8 2002/08/06 20:11:10 dallen Exp $
____________________________________________________________________________*/

#ifndef PGP_EC_IKE_KE_H
#define PGP_EC_IKE_KE_H

typedef void * pgpECIKEContextRef;

PGPError pgpECIKEInitContext( PGPMemoryMgrRef memoryMgr, 
							 PGPUInt32 group, pgpECIKEContextRef *c );
PGPError pgpECIKEFreeContext( pgpECIKEContextRef c );

PGPError pgpECIKEGetBufferSize( pgpECIKEContextRef c, 
		PGPSize *xSize,	PGPSize *ySize, PGPSize *xySize );

PGPError pgpECIKE_DH1( pgpECIKEContextRef c, const PGPByte *Xsecret,
	PGPByte *Ypublic );

PGPError pgpECIKE_import_Y( pgpECIKEContextRef c, 
	const PGPByte *Ypublic );

PGPError pgpECIKE_DH2( pgpECIKEContextRef c, PGPByte *secret );


#endif

