/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	

	$Id: pgpInactivity.h,v 1.2 2002/08/06 20:11:19 dallen Exp $
____________________________________________________________________________*/

#ifndef _pgpInactivity_h
#define _pgpInactivity_h

typedef struct _INACTIVITYTIMER {
	struct _INACTIVITYTIMER*	ptimerNext;
	ULONG						ulFlags;
	LONG						lTimeoutSeconds;
	LONG						lSecondsRemaining;
	PGPInactivityCallbackFunc	callback;
	ULONG						ulUserValue;
} PGPINACTIVITYTIMER, *PPGPINACTIVITYTIMER;

typedef struct {
	PPGPINACTIVITYTIMER		ptimerFirst;
} PGPINACTIVITY, *PPGPINACTIVITY;


VOID
pgpProcessInactivityTimerEvent (
	IN PPGPINACTIVITY		ppi,
	IN PVOID				pCriticalSection);

VOID
pgpInitInactivity (
	IN PPGPINACTIVITY		ppi);

VOID
pgpInactivityProcessOperation (
	IN PPGPINACTIVITY		ppi,
	IN PPGPINACTIVITYSTRUCT	ppcs,
	IN PVOID				pCriticalSection);

VOID
pgpProcessActivityEvent (
	IN PPGPINACTIVITY		ppi,
	IN PVOID				pCriticalSection);

#endif //_pgpInactivity_h