/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: pgpLicenseNumberNet.h,v 1.1 2002/09/05 23:58:53 ajivsov Exp $
____________________________________________________________________________*/

#ifndef Included_pgpLicenseNumberNet_h	/* [ */
#define Included_pgpLicenseNumberNet_h

#include "pgpMemoryMgr.h"
#include "pgpPubTypes.h"
#include "pgpLicenseNumber.h"


PGP_BEGIN_C_DECLARATIONS

PGPError pgpLACreateNet(PGPContextRef context,
	const PGPByte *url, 
	const PGPLicenseNumberRef licenseNumber,
	const PGPByte *customerName,
	const PGPByte *companyName,
	PGPLicenseAuthorizationRef *buffer );

PGPError tc_encode_base64 (PGPMemoryMgrRef mem, unsigned char **out, 
	size_t *outlen, const unsigned char *in, size_t inlen );
PGPError tc_decode_base64 (PGPMemoryMgrRef mem, unsigned char **out,
	size_t *outlen, const unsigned char *in );

PGPError pgpLAParseAuthenticationRequest(PGPContextRef context,
	const PGPByte *authReq, PGPLicenseNumberRef *ln, 
	PGPByte *custName, PGPByte *compName );

PGP_END_C_DECLARATIONS

#endif /* ] Included_pgpLicenseNumberNet_h */


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
