/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CInstallHelper.h,v 1.3 2002/08/06 20:09:22 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CInstallHelper_h	// [
#define Included_CInstallHelper_h

_PGP_BEGIN

// Types

namespace DriverAPI
{
	class CCommandHeader;
}

// Class CInstallHelper

class CInstallHelper
{
public:
	CInstallHelper();
	~CInstallHelper();

	void	KillPGPdiskResident();
	void	PGPdiskCleanup();

	BOOL	AreAnyPGPdisksMounted();
	BOOL	IsVolumeAPGPdisk(PGPUInt8 drive);
	void	UnmountAllPGPdisks();

	void	PGPdiskPostInstall();

private:
	HANDLE	mDriverHandle;

	void	SendOldPacket(void *pPacket, PGPUInt16 code, 
		PGPUInt32 packetSize) const;
	void	SendNewPacket(DriverAPI::CCommandHeader *pPacket, 
		PGPUInt32 size) const;

	void	OpenDriver();
	void	CloseDriver();
};

_PGP_END

#endif	// ] Included_CInstallHelper_h
