/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CPGPdiskMounter.h,v 1.4 2002/08/06 20:09:22 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CPGPdiskMounter_h	// [
#define Included_CPGPdiskMounter_h

#include "CUIImpFactory.h"

_PGP_BEGIN

// Types

class CPGPdiskContext;
class CPGPdiskUser;


// Class CPGPdiskMounter

class CPGPdiskMounter
{
	NOT_COPYABLE(CPGPdiskMounter)
	DECLARE_IMPHOST(CPGPdiskMounter)

public:
	void	AskMount(const CPGPdiskContext& context, const char *path, 
		void *parentWnd = NULL, const CPGPdiskUser *pUseThisUser = NULL, 
		PGPBoolean tryCache = TRUE);
	void	MountStartupDisks(const CPGPdiskContext& context, 
		void *parentWnd = NULL);
};

_PGP_END

#endif	// ] Included_CPGPdiskMounter_h
