/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CPGPdiskUnmounter.cpp,v 1.2 2002/08/06 20:09:22 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"

#include "CPGPdiskUnmounter.h"
#include "CPGPdiskUnmounterImp.h"

_USING_PGP

// Class CPGPdiskUnmounter member functions

DEFINE_IMPHOST(CPGPdiskUnmounter, PGPdiskUnmounterImp, CUIImpFactory)

void 
CPGPdiskUnmounter::AskUnmount(
	const CPGPdiskContext&	context, 
	const char				*pathOrRoot, 
	void					*parentWnd, 
	PGPUInt32				flags)
{
	Imp()->AskUnmount(context, pathOrRoot, parentWnd, flags);
}

void 
CPGPdiskUnmounter::AskUnmountAll(
	const CPGPdiskContext&	context, 
	void					*parentWnd, 
	PGPUInt32				flags)
{
	Imp()->AskUnmountAll(context, parentWnd, flags);
}
