/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CPGPdiskUnmounter.h,v 1.3 2002/08/06 20:09:22 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CPGPdiskUnmounter_h	// [
#define Included_CPGPdiskUnmounter_h

#include "CUIImpFactory.h"

_PGP_BEGIN

// Types

class CPGPdiskContext;


// Class CPGPdiskUnmounter

class CPGPdiskUnmounter
{
	NOT_COPYABLE(CPGPdiskUnmounter)
	DECLARE_IMPHOST(CPGPdiskUnmounter)

public:
	enum
	{
		kNoFlags				= 0x0000, 
		kForceUnmountFlag		= 0x0001, 
		kSilentUnmountFlag		= 0x0002, 
		kTimedOutUnmountAllFlag	= 0x0004,
		kShutdown				= 0x0008
	};

public:
	void	AskUnmount(const CPGPdiskContext& context, 
		const char *pathOrRoot, void *parentWnd = NULL, 
		PGPUInt32 flags = kNoFlags);

	void	AskUnmountAll(const CPGPdiskContext& context, 
		void *parentWnd = NULL, PGPUInt32 flags = kNoFlags);
};

_PGP_END

#endif	// ] Included_CPGPdiskUnmounter_h
