/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CPGPdiskUnmounterImp.h,v 1.2 2002/08/06 20:09:22 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CPGPdiskUnmounterImp_h	// [
#define Included_CPGPdiskUnmounterImp_h

#include "CImp.h"
#include "CPGPdiskUnmounter.h"

_PGP_BEGIN

// Class CPGPdiskUnmounterImp

class CPGPdiskUnmounterImp : public CImp
{
	NOT_COPYABLE(CPGPdiskUnmounterImp)
	friend class CPGPdiskUnmounter;

public:
	CPGPdiskUnmounterImp() { }

protected:
	virtual void	AskUnmount(const CPGPdiskContext& context, 
		const char *pathOrRoot, void *parentWnd, PGPUInt32 flags) = 0;

	virtual void	AskUnmountAll(const CPGPdiskContext& context, 
		void *parentWnd, PGPUInt32 flags) = 0;
};

_PGP_END

#endif	// ] Included_CPGPdiskUnmounterImp_h
