/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CUIImpFactory.h,v 1.3 2002/08/06 20:09:22 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CUIImpFactory_h	// [
#define Included_CUIImpFactory_h

#include "CImpFactory.h"

_PGP_BEGIN

// Types

class CPGPdiskChooserImp;
class CPGPdiskCreatorImp;
class CPGPdiskEditorImp;
class CPGPdiskMounterImp;
class CPGPdiskUnmounterImp;


// Class CUIImpFactory

class CUIImpFactory : public CImpFactory
{
	DECLARE_SINGLETON_VARIABLE(CUIImpFactory)

	DECLARE_IMP_NEWFUNCS_PURE(CPGPdiskChooserImp, PGPdiskChooserImp);
	DECLARE_IMP_NEWFUNCS_PURE(CPGPdiskCreatorImp, PGPdiskCreatorImp);
	DECLARE_IMP_NEWFUNCS_PURE(CPGPdiskEditorImp, PGPdiskEditorImp);
	DECLARE_IMP_NEWFUNCS_PURE(CPGPdiskMounterImp, PGPdiskMounterImp);
	DECLARE_IMP_NEWFUNCS_PURE(CPGPdiskUnmounterImp, PGPdiskUnmounterImp);

public:
			CUIImpFactory() { }
	virtual	~CUIImpFactory() = 0 { }
};

_PGP_END

#endif	// Included_CUIImpFactory_h
