/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: PGPdiskUIPriv.h,v 1.5 2002/08/06 20:09:22 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_PGPdiskUIPriv_h	// [
#define Included_PGPdiskUIPriv_h

_PGP_BEGIN

namespace PGPdiskUIPriv
{
	// Constants

	static const char	*kDiskFileFilter		=
		"PGPdisk Files (.pgd)\0*.pgd\0All Files (*.*)\0*.*\0";

	enum
	{
		kDiskMinKbSize		= 100,
		kDiskMaxGbSize		= 2048,
		kDiskDefaultMbSize	= 100,

		kDiskSugMinPassLength	= 8
	};

	// Types

	enum CreateScale
	{
		kKbScale	= 0,
		kMbScale	= 1,
		kGbScale	= 2
	};
}

_PGP_END

#endif // ] Included_PGPdiskUIPriv_h
