/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CAlgorithmCombo.h,v 1.3 2002/08/06 20:09:23 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CAlgorithmCombo_h	// [
#define Included_CAlgorithmCombo_h

#include "CComboBox.h"

_PGP_BEGIN

// Class CAlgorithmCombo

class CAlgorithmCombo : public CComboBox
{
public:
	CAlgorithmCombo() { }
	CAlgorithmCombo(HWND hWnd) : CComboBox(hWnd) { }
	~CAlgorithmCombo() { }

	PGPdiskEncryptionAlgorithm	Get() const;

	void	Fill();

	void	Add(PGPdiskEncryptionAlgorithm algorithm);
	void	Remove(PGPdiskEncryptionAlgorithm algorithm);
	void	Set(PGPdiskEncryptionAlgorithm algorithm);

private:
	mutable PGPdiskEncryptionAlgorithm	mAlgorithm;

	PGPInt32	FindAlgorithmIndex(PGPdiskEncryptionAlgorithm algorithm);
	void		SetFromSel() const;

	void	OnDestroy();
};

_PGP_END

#endif	// ] Included_CAlgorithmCombo_h
