/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CCreateScaleCombo.h,v 1.3 2002/08/06 20:09:23 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CCreateScaleCombo_h	// [
#define Included_CCreateScaleCombo_h

#include "CComboBox.h"
#include "PGPdiskUIPriv.h"

_PGP_BEGIN

// Class CCreateScaleCombo

class CCreateScaleCombo : public CComboBox
{
public:
	CCreateScaleCombo() { }
	CCreateScaleCombo(HWND hWnd) : CComboBox(hWnd) { }
	~CCreateScaleCombo() { }

	PGPdiskUIPriv::CreateScale	Get() const;

	void	Fill();
	void	Set(PGPdiskUIPriv::CreateScale createScale);

private:
	mutable PGPdiskUIPriv::CreateScale	mCreateScale;

	PGPInt32	FindCreateScaleIndex(PGPdiskUIPriv::CreateScale createScale);
	void		SetFromSel() const;

	void	OnDestroy();
};

_PGP_END

#endif	// ] Included_CCreateScaleCombo_h
