/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CDriveLetterCombo.h,v 1.3 2002/08/06 20:09:23 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CDriveLetterCombo_h	// [
#define Included_CDriveLetterCombo_h

#include "CComboBox.h"

_PGP_BEGIN

// Class CDriveLetterCombo

class CDriveLetterCombo : public CComboBox
{
public:
	CDriveLetterCombo() { }
	CDriveLetterCombo(HWND hWnd) : CComboBox(hWnd) { }
	~CDriveLetterCombo() { }

	PGPUInt8	Get() const;

	void	Fill();
	void	Set(PGPUInt8 drive);

private:
	mutable PGPUInt8	mDriveNum;

	PGPInt32	FindDriveNumIndex(PGPUInt8 driveNum);
	void		SetFromSel() const;

	void	OnChar(char c, PGPUInt32 keyData);
	void	OnDestroy();
};

_PGP_END

#endif	// ] Included_CDriveLetterCombo_h
