/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CHelpShower.cpp,v 1.5 2002/08/06 20:09:23 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"
#include <HtmlHelp.h>

#include "pgpClientLib.h"
#include "pgpDiskPubTypes.h"

#include "CHelpShower.h"

_USING_PGP


// Class CHelpShower public member functions

HWND 
CHelpShower::ShowContents(HWND window)
{
	char path[MAX_PATH];

	PGPclGetPath(kPGPclDiskHelpFile, path, sizeof(path));
	return HtmlHelp (window, path, HH_DISPLAY_TOPIC, 0);
}

HWND 
CHelpShower::ShowForControl(HWND window, PVOID helpIDs)
{
	char path[MAX_PATH];

	PGPclGetPath(kPGPclDiskHelpFile, path, sizeof(path));
	try
	{
		lstrcat (path, "::/context.txt");

		return HtmlHelp(window, path, HH_TP_HELP_WM_HELP, 
			reinterpret_cast<DWORD>(helpIDs));
	}
	catch (CComboError&) { }	// yeah, big whoop
}

HWND 
CHelpShower::ShowContext(HWND window, DWORD helpID)
{
	char path[MAX_PATH];

	PGPclGetPath(kPGPclDiskHelpFile, path, sizeof(path));
	try
	{
		lstrcat (path, ">context");

		return HtmlHelp(window, path, HH_HELP_CONTEXT, helpID);
	}
	catch (CComboError&) { }	// yeah, big whoop
}

HWND 
CHelpShower::ShowContextMenu(HWND window, PVOID helpIDs)
{
	char path[MAX_PATH];

	PGPclGetPath(kPGPclDiskHelpFile, path, sizeof(path));
	try
	{
		lstrcat (path, "::/context.txt");

		return HtmlHelp(window, path, HH_TP_HELP_CONTEXTMENU, 
			reinterpret_cast<DWORD>(helpIDs));
	}
	catch (CComboError&) { }	// yeah, big whoop
}

