/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CPGPKeyJoiner.h,v 1.3 2002/08/06 20:09:23 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CPGPKeyJoiner_h	// [
#define Included_CPGPKeyJoiner_h

_PGP_BEGIN

// Types

class CPGPdiskContext;
class CPGPKey;
class CPGPKeySet;
class CSecureString;


// Class CPGPKeyJoiner

class CPGPKeyJoiner
{
	DECLARE_MODALSTATE(CPGPKeyJoiner)

public:
	static void	AskForJoinedKey(const CPGPdiskContext& context, 
		HWND parentWnd, const CPGPKeySet& splitKeys, CPGPKey& splitKey, 
		CSecureString& secPassphrase,
		PGPByte	**ppPassphrase,
		PGPUInt32 *plength);
};

_PGP_END

#endif	// ] Included_CPGPKeyJoiner_h
