/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CPGPdiskMounterImpWin32.h,v 1.4 2002/08/06 20:09:24 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CPGPdiskMounterImpWin32_h	// [
#define Included_CPGPdiskMounterImpWin32_h

#include "CPGPdiskMounterImp.h"

_PGP_BEGIN

// Class CPGPdiskMounterImpWin32

class CPGPdiskMounterImpWin32 : public CPGPdiskMounterImp
{
	friend class CUIImpFactoryWin32;

private:
	PGPBoolean	IsDangerOfHangWithReadWrite(const CPath& path, 
		HWND parentWnd);

	void	AskMount(const CPGPdiskContext& context, const char *path, 
		void *parentWnd, const CPGPdiskUser *pUseThisUser, 
		PGPBoolean tryCache);
	void	MountStartupDisks(const CPGPdiskContext& context, 
		void *parentWnd);
};

_PGP_END

#endif	// ] Included_CPGPdiskMounterImpWin32_h
