/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CReEncryptWizard.h,v 1.3 2002/08/06 20:09:24 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CReEncryptWizard_h	// [
#define Included_CReEncryptWizard_h

#include "CBitmap.h"
#include "CPalette.h"

#include "CPropertySheet.h"

_PGP_BEGIN

// Types

class CSecureString;
class CPGPdiskContext;


// Class CReEncryptWizard

class CReEncryptWizard : public CPropertySheet
{
public:
	CReEncryptWizard() { }
	~CReEncryptWizard() { }

	void	Display(const CPGPdiskContext& context, const char *path, 
		HWND parent, PGPBoolean *pReEncryptionBegun = NULL);

private:
	CBitmap		mSidebarBitmap;
	CPalette	mSidebarPalette;

	PGPBoolean	IsPubNotInRing(const CPGPdiskUser& user) const;
	void		LoadSidebar();
};

_PGP_END

#endif	// ] Included_CReEncryptWizard_h
