/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CDriverImpFactoryDrv98.cpp,v 1.2 2002/08/06 20:09:30 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"

#include "CDriverImpFactoryDrv98.h"
#include "CDiskInactivityImpDrv98.h"
#include "CInterfaceImpDrv98.h"
#include "CMemoryLockerImpDrv98.h"
#include "CPGPdiskDriverImpDrv98.h"
#include "CPGPdiskHandlerImpDrv98.h"
#include "CPGPdiskImpDrv98.h"
#include "CVolumeImpDrv98.h"

_USING_PGP

// Class CDriverImpFactoryDrv98 member functions

DEFINE_SINGLETON_NEWDELFUNCS(CDriverImpFactoryDrv98)

DEFINE_IMP_NEWFUNCS(CDiskInactivityImpDrv98, CDiskInactivityImp, 
	CDriverImpFactoryDrv98, DiskInactivityImp)
DEFINE_IMP_NEWFUNCS(CInterfaceImpDrv98, CInterfaceImp, 
	CDriverImpFactoryDrv98, InterfaceImp)
DEFINE_IMP_NEWFUNCS(CMemoryLockerImpDrv98, CMemoryLockerImp, 
	CDriverImpFactoryDrv98, MemoryLockerImp)
DEFINE_IMP_NEWFUNCS(CPGPdiskDriverImpDrv98, CPGPdiskDriverImp, 
	CDriverImpFactoryDrv98, PGPdiskDriverImp)
DEFINE_IMP_NEWFUNCS(CPGPdiskHandlerImpDrv98, CPGPdiskHandlerImp, 
	CDriverImpFactoryDrv98, PGPdiskHandlerImp)
DEFINE_IMP_NEWFUNCS(CPGPdiskImpDrv98, CPGPdiskImp, 
	CDriverImpFactoryDrv98, PGPdiskImp)
DEFINE_IMP_NEWFUNCS(CVolumeImpDrv98, CVolumeImp, 
	CDriverImpFactoryDrv98, VolumeImp)
