/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CDriverImpFactoryDrv98.h,v 1.2 2002/08/06 20:09:30 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CDriverImpFactoryDrv98_h	// [
#define Included_CDriverImpFactoryDrv98_h

#include "CDriverImpFactory.h"

_PGP_BEGIN

// Class CDriverImpFactoryDrv98

class CDriverImpFactoryDrv98 : public CDriverImpFactory
{
	DECLARE_SINGLETON_NEWDELFUNCS()

	DECLARE_IMP_NEWFUNCS(CDiskInactivityImp, DiskInactivityImp);
	DECLARE_IMP_NEWFUNCS(CInterfaceImp, InterfaceImp);
	DECLARE_IMP_NEWFUNCS(CMemoryLockerImp, MemoryLockerImp);
	DECLARE_IMP_NEWFUNCS(CPGPdiskDriverImp, PGPdiskDriverImp);
	DECLARE_IMP_NEWFUNCS(CPGPdiskHandlerImp, PGPdiskHandlerImp);
	DECLARE_IMP_NEWFUNCS(CPGPdiskImp, PGPdiskImp);
	DECLARE_IMP_NEWFUNCS(CVolumeImp, VolumeImp);
};

_PGP_END

#endif	// Included_CDriverImpFactoryDrv98_h
