/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CDriverSubsystemsDrv98.h,v 1.2 2002/08/06 20:09:30 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CDriverSubsystemsDrv98_h	// [
#define Included_CDriverSubsystemsDrv98_h

#include "CDriverSubsystems.h"

_PGP_BEGIN

// Types

class CFilesystemWatcher;
class CIosInterface;


// Class CDriverSubsystemsDrv98

class CDriverSubsystemsDrv98 : public CDriverSubsystems
{
	DECLARE_SINGLETON_NEWDELFUNCS()

	DECLARE_SUBSYSTEM(CFilesystemWatcher, FilesystemWatcher)
	DECLARE_SUBSYSTEM(CIosInterface, IosInterface)

private:
	CComboError	CreateSubsystemsAux();
	void		DestroySubsystemsAux();
};

_PGP_END

#endif	// Included_CDriverSubsystemsDrv98_h
