/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CDiskInactivityImpDrvNT.h,v 1.4 2002/08/06 20:09:31 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CDiskInactivityImpDrvNT_h	// [
#define Included_CDiskInactivityImpDrvNT_h

#include "CDevice.h"
#include "CDiskInactivityImp.h"

_PGP_BEGIN

// Class CDiskInactivityImpDrvNT

class CDiskInactivityImpDrvNT : public CDiskInactivityImp
{
	friend class CDriverImpFactoryDrvNT;

private:
	CDiskInactivityImpDrvNT();

private:
	CDevice	mPGPsdkDevice;

	CComboError	AttachToDriver();
	CComboError	SendInactivityCommand(PGPINACTIVITYSTRUCT& pgpIS) const;

	void	Shutdown();
};

_PGP_END

#endif	// Included_CDiskInactivityImpDrvNT_h
