/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CDriverImpFactoryDrvNT.cpp,v 1.2 2002/08/06 20:09:31 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"

#include "CDiskInactivityImpDrvNT.h"
#include "CDriverImpFactoryDrvNT.h"
#include "CInterfaceImpDrvNT.h"
#include "CMemoryLockerImpDrvNT.h"
#include "CPGPdiskDriverImpDrvNT.h"
#include "CPGPdiskHandlerImpDrvNT.h"
#include "CPGPdiskImpDrvNT.h"
#include "CVolumeImpDrvNT.h"

_USING_PGP

// Class CDriverImpFactoryDrvNT member functions

DEFINE_SINGLETON_NEWDELFUNCS(CDriverImpFactoryDrvNT)

DEFINE_IMP_NEWFUNCS(CDiskInactivityImpDrvNT, CDiskInactivityImp, 
	CDriverImpFactoryDrvNT, DiskInactivityImp)
DEFINE_IMP_NEWFUNCS(CInterfaceImpDrvNT, CInterfaceImp, 
	CDriverImpFactoryDrvNT, InterfaceImp)
DEFINE_IMP_NEWFUNCS(CMemoryLockerImpDrvNT, CMemoryLockerImp, 
	CDriverImpFactoryDrvNT, MemoryLockerImp)
DEFINE_IMP_NEWFUNCS(CPGPdiskDriverImpDrvNT, CPGPdiskDriverImp, 
	CDriverImpFactoryDrvNT, PGPdiskDriverImp)
DEFINE_IMP_NEWFUNCS(CPGPdiskHandlerImpDrvNT, CPGPdiskHandlerImp, 
	CDriverImpFactoryDrvNT, PGPdiskHandlerImp)
DEFINE_IMP_NEWFUNCS(CPGPdiskImpDrvNT, CPGPdiskImp, 
	CDriverImpFactoryDrvNT, PGPdiskImp)
DEFINE_IMP_NEWFUNCS(CVolumeImpDrvNT, CVolumeImp, 
	CDriverImpFactoryDrvNT, VolumeImp)
