/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CDriverImpFactoryDrvNT.h,v 1.2 2002/08/06 20:09:31 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CDriverImpFactoryDrvNT_h	// [
#define Included_CDriverImpFactoryDrvNT_h

#include "CDriverImpFactory.h"
#include "SingletonMacros.h"

_PGP_BEGIN

// Class CDriverImpFactoryDrvNT

class CDriverImpFactoryDrvNT : public CDriverImpFactory
{
	DECLARE_SINGLETON_NEWDELFUNCS()

	DECLARE_IMP_NEWFUNCS(CDiskInactivityImp, DiskInactivityImp);
	DECLARE_IMP_NEWFUNCS(CInterfaceImp, InterfaceImp);
	DECLARE_IMP_NEWFUNCS(CMemoryLockerImp, MemoryLockerImp);
	DECLARE_IMP_NEWFUNCS(CPGPdiskDriverImp, PGPdiskDriverImp);
	DECLARE_IMP_NEWFUNCS(CPGPdiskHandlerImp, PGPdiskHandlerImp);
	DECLARE_IMP_NEWFUNCS(CPGPdiskImp, PGPdiskImp);
	DECLARE_IMP_NEWFUNCS(CVolumeImp, VolumeImp);
};

_PGP_END

#endif	// Included_CDriverImpFactoryDrvNT_h
