/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CMemoryLockerImpDrvNT.h,v 1.2 2002/08/06 20:09:31 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CMemoryLockerImpDrvNT_h	// [
#define Included_CMemoryLockerImpDrvNT_h

#include "CLookasideList.h"
#include "CList.h"
#include "CRMWOLock.h"

#include "CMemoryLockerImp.h"

_PGP_BEGIN

// Types

struct LockedMemInfo;


// Class CMemoryLockerImpDrvNT

class CMemoryLockerImpDrvNT : public CMemoryLockerImp
{
	friend class CDriverImpFactoryDrvNT;

private:
	CMemoryLockerImpDrvNT();

	CComboError	LockMemory(const void *pMem, PGPUInt32 sizeMem, 
		void **ppMappedMem);
	CComboError	UnlockMemory(const void *pMem);

private:
	CLookasideList<LockedMemInfo>	mLMIAllocator;

	CList<LockedMemInfo>	mLMIList;
	CRMWOLock				mLMIListLock;

	void	Shutdown();
};

_PGP_END

#endif	// Included_CMemoryLockerImpDrvNT_h
