/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CPGPdiskHandlerImpDrvNT.h,v 1.4 2002/08/06 20:09:31 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CPGPdiskHandlerImpDrvNT_h	// [
#define Included_CPGPdiskHandlerImpDrvNT_h

#include "CDevice.h"
#include "CIrp.h"

#include "CPGPdiskHandlerImp.h"

_PGP_BEGIN

// Class CPGPdiskHandlerImpDrvNT

class CPGPdiskHandlerImpDrvNT : public CPGPdiskHandlerImp
{
	friend class CDriverImpFactoryDrvNT;

private:
	CPGPdiskHandlerImpDrvNT::CPGPdiskHandlerImpDrvNT() : mDirHandle(NULL) { }

	const void *	GetPlatformIoHandlerFunc() const
	{
		return PGPdiskIrpDispatch;
	}

	PGPUInt32		GetPlatformProcessId() const
	{
		return reinterpret_cast<PGPUInt32>(PsGetCurrentProcessId());
	}

	void		Shutdown();
	CComboError	Startup();

	static NTSTATUS PGPdiskIrpDispatch(CDevice *pDevice, CIrp& irp, 
		void *refPtr, PGPBoolean& isIrpCompleted);

private:
	HANDLE	mDirHandle;
};

_PGP_END

#endif	// Included_CPGPdiskHandlerImpDrvNT_h
