/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CInterface.h,v 1.2 2002/08/06 20:09:34 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CInterface_h	// [
#define Included_CInterface_h

#include "CSubsystem.h"

#include "DriverAPI.h"
#include "CDriverImpFactory.h"

_PGP_BEGIN


// Class CInterface

class CInterface : public CSubsystem
{
	DECLARE_IMPHOST(CInterface)
	friend class CDriverSubsystems;

public:
	void		ProcessPacket(DriverAPI::CCommandHeader *pPacket) const;
	PGPBoolean	ProcessRawPacket(void *pMem, PGPUInt32 sizeMem) const;

private:
	CComboError	Startup();
	void		Shutdown();
};

_PGP_END

#endif	// Included_CInterface_h
