/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CMemoryLocker.h,v 1.2 2002/08/06 20:09:34 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CMemoryLocker_h	// [
#define Included_CMemoryLocker_h

#include "CDriverImpFactory.h"
#include "CSubsystem.h"

_PGP_BEGIN

// Class CMemoryLocker

class CMemoryLocker : public CSubsystem
{
	DECLARE_IMPHOST(CMemoryLocker)
	friend class CDriverSubsystems;

public:
	CComboError	LockMemory(const void *pMem, PGPUInt32 sizeMem, 
		void **ppMappedMem = NULL);
	CComboError	UnlockMemory(const void *pMem);

private:
	CComboError	Startup();
	void		Shutdown();
};

_PGP_END

#endif	// Included_CMemoryLocker_h
