/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CDriverCommImpWin32.h,v 1.4 2002/08/06 20:09:36 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CDriverCommImpWin32_h	// [
#define Included_CDriverCommImpWin32_h

#include "CDriverCommImp.h"

_PGP_BEGIN

// Class CDriverCommImpWin32

class CDriverCommImpWin32 : public CDriverCommImp
{
	friend class CEngineImpFactoryWin32;

private:
	CDriverCommImpWin32() : mDriverHandle(INVALID_HANDLE_VALUE) { }

private:
	HANDLE	mDriverHandle;

	void	OpenDriver();
	void	CloseDriver();

	void	SendPacket(DriverAPI::CCommandHeader *pPacket, 
		PGPUInt32 size) const;

	void	QueryMountedPath(const char *path, PGPBoolean& isMounted) const;
	void	QueryMountedRoot(const char *root, PGPBoolean& isMounted) const;
};

_PGP_END

#endif	// Included_CDriverCommImpWin32_h
