/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CPGPdiskDiskImpWin32.h,v 1.8 2002/08/06 20:09:36 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CPGPdiskDiskImpWin32_h	// [
#define Included_CPGPdiskDiskImpWin32_h

#include "CPGPdiskDiskImp.h"

_PGP_BEGIN

// Types

class CPath;

// Class CPGPdiskDiskImpWin32

class CPGPdiskDiskImpWin32 : public CPGPdiskDiskImp
{
	friend class CEngineImpFactoryWin32;

private:
	CPGPdiskDiskImpWin32() { }
	~CPGPdiskDiskImpWin32() { }

private:
	PGPBoolean	ComparePaths(const char *path) const;
	PGPBoolean	CompareRoots(const char *root) const;

	void	CheckFilesystemCompatibility(const CCipherContext& cipher, 
		PGPBoolean readOnly) const;

	void	Mount(const CPGPdiskContext *pContext, const char *path, 
		const CCipherContext& cipher, const char *root, 
		PGPBoolean readOnly = FALSE);
	void	Unmount(PGPBoolean isForced = FALSE);
};

_PGP_END

#endif	// ] Included_CPGPdiskDiskImpWin32_h
