////////////////////////////////////////////////////////////////////////////////
//
//  File : ClassFactory.h
//
//  Copyright (C) 2002 PGP Corporation
//
//  ABSTRACT
//		Header file
// 
//  Author: Satya S. Das
//
////////////////////////////////////////////////////////////////////////////////

#ifndef _CLASSFACTORY_H
#define _CLASSFACTORY_H

// include files 

// local definitions 
// default settings

// external functions 

// external data 

// internal functions 

// public data 

// private data 

// public functions 

// private functions 


///////////////////////////////////////////////////////////////////
//   Object Name:  PgpNwClsFactory sub classed from IClassFactory.
//
//   Description:  The ClassFactory for the  C3po.
//
/////////////////////////////////////////////////////////////////////
class PgpNwClsFactory : public IClassFactory
{
  public:
    // IUnknown methods
    STDMETHOD(QueryInterface)(THIS_ REFIID riid, LPVOID FAR* ppvObj);
    STDMETHOD_(ULONG, AddRef)(THIS);
    STDMETHOD_(ULONG, Release)(THIS);

	STDMETHODIMP CreateInstance(IUnknown *, REFIID, void**);
	STDMETHODIMP LockServer(BOOL);
	PgpNwClsFactory();
	~PgpNwClsFactory();
private:
	ULONG m_cRef;				// reference count

};


#endif


