/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	
	$Id: Search.c,v 1.4 2002/08/06 20:09:46 dallen Exp $
____________________________________________________________________________*/

// System Headers 
#include <windows.h>
#include <windowsx.h>
#include <commctrl.h>


// PGPsdk Headers
#include "pgpKeys.h"
#include "pgpErrors.h"
#include "pgpKeyServer.h"
#include "pgpKeyServerPrefs.h"
#include "pgpTLS.h"
#include "pgpBuild.h"
#include "pgpUtilities.h"

// Project Headers
#include "Search.h"
#include "SearchProc.h"
#include "resource.h"

BOOL 
InitSearch()
{
	BOOL ReturnValue = TRUE;

	InitCommonControls();

	return ReturnValue;
}

void 
CloseSearch()
{
	return;
}

HWND 
CreateSearch(HINSTANCE hInstance, 
			 HWND hwndParent)
{
	HWND hwndSearch = NULL;
	RECT rectParent;

	GetClientRect(hwndParent, &rectParent);

	hwndSearch = CreateDialog(	hInstance, 
								MAKEINTRESOURCE(IDD_SEARCH), 
								hwndParent, 
								(DLGPROC)SearchProc);
	
	return hwndSearch;
}
