/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: SearchCommon.h,v 1.3 2002/08/06 20:09:46 dallen Exp $
____________________________________________________________________________*/
#ifndef _SEARCHCOMMON_H
#define _SEARCHCOMMON_H

#include "pgpKeyServerPrefs.h"

#define MAX_YEAR	2099
#define MIN_YEAR	1970

typedef struct _SEARCHPATH
{
	PGPPrefRef			prefRef;
	PGPKeyServerEntry*	keyserverList;
	PGPUInt32			keyserverCount;

}SEARCHPATH,*PSEARCHPATH;

void HANDLE_IDC_ATTRIBUTE(	HWND hwnd,
							UINT msg,
							WPARAM wParam,
							LPARAM lParam);

void HANDLE_IDC_MONTH(	HWND hwnd,
						UINT msg,
						WPARAM wParam,
						LPARAM lParam);

void ReloadKeyserverList(HWND hwnd);

void InitializeControlValues(HWND hwnd, int defaultSelection);

void ChangeAttributeSelection(HWND hwnd);



#endif