/*______________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.


	$Id: FileSystemHandling.h,v 1.7 2002/09/09 00:31:43 sdas Exp $
______________________________________________________________________________*/

#ifndef Included_FileSystemHandling_h	/* [ */
#define Included_FileSystemHandling_h


//system includes
#include <string.h>
#include <stdlib.h>		//for getenv()
#include <stdio.h>		//for fopen(), etc.
#include <io.h>			//for filelength(), access(), etc.
#include <fcntl.h>		//for _O_RDONLY
#include <share.h>		//for _SH_DENYRW
#include <errno.h>		//for EACCES, etc.

typedef enum {
	FALSE, 
	TRUE } BOOL;


extern char  epc_NULL;
extern const char  ec_PATH_SPECIFIER, epc_PATH_SPECIFIER[];
extern const unsigned short  eus_SUCCESS, eus_ERR_INVLD_ARG;
extern const int  ei_FAIL;


#endif /* ] Included_FileSystemHandling_h */
