/*______________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.


	$Id: ItemHandling.h,v 1.9 2002/09/09 00:31:43 sdas Exp $
______________________________________________________________________________*/

#ifndef Included_ItemHandling_h	/* [ */
#define Included_ItemHandling_h


//system includes
#include <stdlib.h>		//for free(), etc.
#include <crtdbg.h>		//for _ASSERTE(), etc.

//Notes API includes
#include <global.h>
#include <nsfnote.h>
#include <textlist.h>	//for ListGetText(), etc.
#include <osmisc.h>		//for OSLoadString()
#include <osmem.h>		//for OSLock(), OSUnlockObject()
#include <oserr.h>		//for ERR_MEMORY
#include <nsferr.h>		//for ERR_ITEM_NOT_FOUND, ERR_ITEM_DATATYPE
#include <odserr.h>		//for ERR_ODS_NO_SUCH_ENTRY


extern const STATUS  eus_SUCCESS, eus_ERR_INVLD_ARG;
extern const int  ei_SAME;


BOOL ef_TextListContainsEntry( void *const, const BOOL, const char[], 
												WORD *const, WORD *const);
STATUS eus_CreateTextListEntryCopy( const WORD, BYTE *const, const BOOL, 
															char * *const);
BOOL ef_TextListEntryMatches( void *const, const BOOL, const WORD, 
																const char[]);

_inline BOOL f_TextListEntryMatches( void *const, const BOOL, const WORD, 
													const char[], const WORD);


#endif /* ] Included_ItemHandling_h */
