/*______________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.


	$Id: NotesApiGlobals.h,v 1.6 2002/09/09 00:31:43 sdas Exp $
______________________________________________________________________________*/

/*::: FUNCTIONAL OVERVIEW ::::::::::
Provides global declarations related to Process Stream Technologies' use of 
the Notes API.

--- revision history --------
9/16/00 Version 1.0.1 Paul Ryan
+ adjusted to support universal error codes included in PstGlobals.h
+ added this standard documentation

1/5/99 Version 1.0 Paul Ryan
::::::::::::::::::::::::::::::::::::*/

#ifndef Included_NotesApiGlobals_h	/* [ */
#define Included_NotesApiGlobals_h


//Notes API includes
#include <global.h>
#include <pool.h>			//for BLOCKID

#include "PstGlobals.h"


const BLOCKID  ebid_NULLBLOCKID = { NULL, NULLBLOCK};


#endif /* ] Included_NotesApiGlobals_h */
