/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: Utils.h,v 1.8.2.1 2002/11/27 01:11:39 sdas Exp $
____________________________________________________________________________*/
#ifndef Included_Utils_h	/* [ */
#define Included_Utils_h

PGP_BEGIN_C_DECLARATIONS

HINSTANCE UIGetInstance(void);
void UISetInstance(HINSTANCE hInstance);
void UIGetString(char *szBuffer, size_t nLength, UINT nID);
void UIFormatString(char *szBuffer, size_t nLength, UINT nID, char *szData);
void UIDisplayString(HWND hwnd, char *szBuffer);
void UIDisplayStringID(HWND hwnd, UINT nID);
BOOL UIAskYesNoStringID(HWND hwnd, UINT nID);
void UIHexDump(HWND hwnd, char *szMessage, int nLength);
void UIDisplayErrorCode(char *szFile, 
						int nLine, 
						char *szModule, 
						int nCode,
						BOOL bKeyrings);
BOOL UIWarnYesNo(HWND hwnd, UINT nID, UINT nPrefIndex, BOOL bDefault);
BOOL UIAskYesNo(HWND hwnd, UINT nID, UINT nPrefIndex);
void UIWarnOk(HWND hwnd, UINT nID, UINT nPrefIndex);
void PGPDebugMessage(const char *szMessage);
void ExchPluginTrace(LPCTSTR lpszFormat, ...);
int IsPlatform98OrME();

PGP_END_C_DECLARATIONS

#endif /* ] Included_Utils_h */


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
