/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: sdautil.h,v 1.8 2002/08/06 20:10:10 dallen Exp $
____________________________________________________________________________*/
#ifndef Included_SDAUTIL_h	/* [ */
#define Included_SDAUTIL_h

#include "pgpSHA.h"
#include "pgpCAST5.h"

#ifdef WIN32
//PGPError PGPsdaWebBrowse (LPSTR pszURL);

BOOL  SaveOutputFile(HWND hwnd, 
					 char *Title,
					 char *InputFile, 
					 char *OutputFile);
#endif /* WIN32 */

void
DecryptBlock512(
	SDAHEADER				*SDAHeader,
	PGPUInt32				*ExpandedKey,
	PGPUInt32				blockNumber,
	const PGPUInt32 *		src,
	PGPUInt32 *				dest);

#ifdef WIN32
	PGPError
SDAPassphraseDialog(HWND hwnd,	
					SDAHEADER			*SDAHeader,
					PGPUInt32			**ExpandedKey,
					char				*pszDir);

void GetPrefixPath(char *szPrefixPath);

UINT PGPscProgressDialog(
		HWND hwndParent,USERFUNCTION UserFunction,
		void *pUserValue,DWORD dwBar,char *szTitle,
		char *szFile,char *szInfo,DWORD dwAVIClip);

UINT PGPscProgressSetBar(
		HWND hwnd,DWORD dwBarValue,BOOL bForce);

UINT PGPscProgressSetTitle(
		HWND hwnd,char *szTitle);

UINT PGPscProgressSetFile(
		HWND hwnd,char *szFile);

UINT PGPscProgressSetInfo(
		HWND hwnd,char *szInfo);

UINT PGPscProgressSetAVI(
		HWND hwnd,DWORD dwAVIClip);

BOOL PGPscProgressGetCancel(HWND hwnd);

void *PGPscProgressGetUserValue(HWND hwnd);

void PGPscProgressSetNewFilename(
		HWND hwnd,char *szInfoFormat,
		char *infile,BOOL bResetBar);
#endif /* WIN32 */

#endif /* ] Included_SDAUTIL_h */

/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
