/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CCRC32.h,v 1.2 2002/08/06 20:10:18 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CCRC32_h	// [
#define Included_CCRC32_h

_PGP_BEGIN

// Class CCRC32

class CCRC32
{

public:
	CCRC32();

	PGPUInt32	GetCRC() const {return mCurrentCRC;}

	void	Init(PGPUInt32 startCRC = 0);
	void	Continue(const PGPUInt32 *theDWords, PGPUInt32 nDWords);

private:
	PGPUInt32	mCurrentCRC;		// current 32-bit CRC
};

_PGP_END

#endif	// ] Included_CCRC32_h
