/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: pgpNetKernelHost.h,v 1.5 2002/08/06 20:10:25 dallen Exp $
____________________________________________________________________________*/
#ifndef Included_pgpNetKernelHost_h	/* [ */
#define Included_pgpNetKernelHost_h

#define	kMaxNetHostNameLength			255
#define	kMaxNetHostSharedSecretLength	255
#define kMaxNetHostIdentityLength		128
#define kMaxNetHostIASNLength			192
#define kMaxNetHostKeyIDSize			34

enum PGPNetHostType_
{
	kPGPnetInsecureHost			= 0,
	kPGPnetSecureHost			= 1,
	kPGPnetSecureGateway		= 2,

	PGP_ENUM_FORCE( PGPNetHostType_ )
};
PGPENUM_TYPEDEF( PGPNetHostType_, PGPNetHostType );

enum PGPnetUnconfiguredMode_
{
	kPGPnet_UM_Attempt			= 0,
	kPGPnet_UM_Allow			= 1,
	kPGPnet_UM_Require			= 2,

	PGP_ENUM_FORCE( PGPnetUnconfiguredMode_ )
};
PGPENUM_TYPEDEF( PGPnetUnconfiguredMode_, PGPnetUnconfiguredMode );

typedef struct PGPNetKernelHost
{
	PGPNetHostType			hostType;
	PGPUInt32				ipAddrStart;
	PGPUInt32				ipMaskEnd;
	PGPInt32				childOf;
	PGPBoolean				autoConnect;
	PGPBoolean				exclusiveGateway;
	PGPBoolean				destIsRange;
} PGPNetKernelHost;


#endif /* ] Included_pgpNetKernelHost_h */


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
