/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	
	IPAddressControl.h - IP Address edit custom control
	
	$Id: LicenseNumberControl.h,v 1.1 2002/08/23 23:09:14 wjb Exp $
____________________________________________________________________________*/

#ifndef _PGP_LICENSENUMBERCONTROL_H
#define _PGP_LICENSENUMBERCONTROL_H

#define WC_PGPLICENSENUMBER		("PGPLicenseNumberControl32")

#define PGP_IPM_FIRST			0x2000
#define PGP_IPM_SETADDRESS		PGP_IPM_FIRST+0
#define PGP_IPM_GETADDRESS		PGP_IPM_FIRST+1
#define PGP_IPM_SETRANGE		PGP_IPM_FIRST+2
#define PGP_IPM_CLEARADDRESS	PGP_IPM_FIRST+3

#define PGP_LNC_FIRST           (0U-100U)       
#define PGP_LNC_LAST            (0U-199U)

#define	PGP_LNC_VALIDADDRESS	PGP_LNC_FIRST+0
#define	PGP_LNC_INVALIDADDRESS	PGP_LNC_FIRST+1
#define	PGP_LNC_EMPTYADDRESS	PGP_LNC_FIRST+2
#define PGP_LNC_OUTOFRANGE		PGP_LNC_FIRST+3

typedef struct {
	NMHDR	hdr;
	UINT	uField;
	UINT	uValue;
	UINT	uRange;
} NMLICENSENUMBER;

VOID WINAPI 
InitPGPLicenseNumberControl (VOID); 

#endif //_PGP_LICENSENUMBERCONTROL_H