/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	pgpImageList.h - header for PGP image index definitions

	$Id: pgpImageList.h,v 1.8 2002/08/06 20:10:28 dallen Exp $
____________________________________________________________________________*/
#ifndef Included_pgpImageList_h	/* [ */
#define Included_pgpImageList_h


// bitmap images index definitions

#define IDX_NONE			-1
#define IDX_INVALID			0
#define IDX_PUSHED			1
#define IDX_VALID			2
#define IDX_VALIDPUSHED		3
#define IDX_AXIOMATIC		4
#define IDX_AXIOMATICPUSHED	5
#define IDX_RSAPUBKEY		6
#define IDX_RSAPUBDISKEY	7
#define IDX_RSAPUBREVKEY	8
#define IDX_RSAPUBEXPKEY	9
#define IDX_RSASECKEY		10
#define IDX_RSASECDISKEY	11
#define IDX_RSASECREVKEY	12
#define IDX_RSASECEXPKEY	13
#define IDX_RSASECSHRKEY	14
#define IDX_DSAPUBKEY		15
#define IDX_DSAPUBDISKEY	16
#define IDX_DSAPUBREVKEY	17
#define IDX_DSAPUBEXPKEY	18
#define IDX_DSASECKEY		19
#define IDX_DSASECDISKEY	20
#define IDX_DSASECREVKEY	21
#define IDX_DSASECEXPKEY	22
#define IDX_DSASECSHRKEY	23
#define IDX_RSAUSERID		24
#define IDX_DSAUSERID		25
#define IDX_INVALIDUSERID	26
#define IDX_PHOTOUSERID		27
#define IDX_CERT			28
#define IDX_REVCERT			29
#define IDX_EXPCERT			30
#define IDX_BADCERT			31
#define IDX_EXPORTCERT		32
#define IDX_METACERT		33
#define IDX_TRUSTEDCERT		34
#define IDX_GROUP			35
#define IDX_NOADK			36
#define	IDX_NOADKPUSHED		37
#define IDX_ADK				38
#define IDX_ADKPUSHED		39
#define IDX_OPENLOCK		40
#define IDX_CLOSEDLOCK		41
#define IDX_HEAD			42
#define IDX_X509CERT		43
#define IDX_X509EXPCERT		44
#define IDX_X509REVCERT		45
#define IDX_X509BADCERT		46
#define IDX_UNKNOWNKEY		47
#define IDX_RSAV4PUBKEY		48
#define IDX_RSAV4PUBDISKEY	49
#define IDX_RSAV4PUBREVKEY	50
#define IDX_RSAV4PUBEXPKEY	51
#define IDX_RSAV4SECKEY		52
#define IDX_RSAV4SECDISKEY	53
#define IDX_RSAV4SECREVKEY	54
#define IDX_RSAV4SECEXPKEY	55
#define IDX_RSAV4SECSHRKEY	56
#define IDX_TOKEN			57
#define IDX_RSATOKKEY		58
#define IDX_RSATOKDISKEY	59
#define IDX_RSATOKREVKEY	60
#define IDX_RSATOKEXPKEY	61
#define IDX_RSAV4TOKKEY		62
#define IDX_RSAV4TOKDISKEY	63
#define IDX_RSAV4TOKREVKEY	64
#define IDX_RSAV4TOKEXPKEY	65
#define IDX_ECPUBKEY		66
#define IDX_ECPUBDISKEY		67
#define IDX_ECPUBREVKEY		68
#define IDX_ECPUBEXPKEY		69
#define IDX_ECSECKEY		70
#define IDX_ECSECDISKEY		71
#define IDX_ECSECREVKEY		72
#define IDX_ECSECEXPKEY		73
#define IDX_ECSECSHRKEY		74
#define NUM_IMAGELIST_ICONS	75

#endif /* ] Included_pgpImageList_h */


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/

