/*__________________________________________________________________________
 Copyright (C) 2002 PGP Corporation
 All rights reserved.
 
 $Id: PTdisk.h,v 1.8 2002/08/06 20:10:33 dallen Exp $
__________________________________________________________________________*/
#ifndef Included_PTdisk_h	/* [ */
#define Included_PTdisk_h

#include "pgpPubTypes.h"
#include "pflPrefTypes.h"

#define	PGPDISK_NEWDISK			0
#define PGPDISK_EDITDISK		1
#define PGPDISK_MOUNTDISK		2
#define PGPDISK_UNMOUNTALL		3


PGP_BEGIN_C_DECLARATIONS

#define	PGPDISK_EXE_NAME	"PGPdisk.exe"

VOID
PTDiskStartup();

VOID
PTDiskShutdown();

VOID 
PTDiskOperation(
		HWND	hwnd,
		UINT	uOperation);

VOID 
PTDiskMountStartupDisks(HWND parent);

BOOL 
PTDiskDeleteHook(PCSTR path, HWND parent);

VOID
PTHandleDiskPrefsChange(
		HWND		hwnd,
		PGPPrefRef	prefref);

LRESULT 
PTDiskHandlePowerBroadcast(HWND hwnd, WPARAM wParam, LPARAM lParam);

VOID 
PTDiskCheckForTimedOutDisks(HWND hwnd);

VOID 
PTCheckForDiskMsg(
		HWND	hwnd,
		UINT	msg,
		WPARAM	wParam,
		LPARAM	lParam);

PGP_END_C_DECLARATIONS

#endif /* ] Included_PTdisk_h */


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
