/*__________________________________________________________________________
 Copyright (C) 2002 PGP Corporation
 All rights reserved.
 
 $Id: PThotkey.h,v 1.7 2002/10/22 15:26:35 pbj Exp $
__________________________________________________________________________*/
#ifndef Included_PThotkey_h	/* [ */
#define Included_PThotkey_h

#include "pgpPubTypes.h"
#include "pgpHotKeys.h"
#include "pflPrefTypes.h"

// hotkey IDs
#define kPurgePassphraseCache		0x0000
#define kEncryptCurrentWindow		0x0001
#define kSignCurrentWindow			0x0002
#define kEncryptSignCurrentWindow	0x0003
#define kDecryptCurrentWindow		0x0004
#define kUnmountPGPDisks			0x0005	


//#include "pflPrefs.h"

PGP_BEGIN_C_DECLARATIONS


VOID 
PTHotKeyInit (void);

PGPHotKeys* 
PTGetHotKeyStruct (void);

VOID
PTHandleHotKeyPrefsChange (
		HWND			hwnd,
		PGPContextRef	context,
		PGPPrefRef		prefref);

VOID
PTCheckForHotKeyMsg (HWND hwnd, PGPContextRef context, UINT msg);

VOID
PTProcessHotKey (
		HWND			hwnd, 
		PGPContextRef	context,
		WPARAM			wParam);

VOID
PTRemoveHotKeys (HWND hwnd);


PGP_END_C_DECLARATIONS

#endif /* ] Included_PThotkey_h */


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
