/*__________________________________________________________________________
 Copyright (C) 2002 PGP Corporation
 All rights reserved.
 
 $Id: PTnet.h,v 1.8 2002/08/06 20:10:33 dallen Exp $
__________________________________________________________________________*/
#ifndef Included_PTnet_h	/* [ */
#define Included_PTnet_h

#include "pgpPubTypes.h"
#include "pflPrefTypes.h"
#include <commctrl.h>

#define QUERYSERVICE		0
#define LOGON				1
#define LOGOFF				2
#define QUERYLOGON			3
#define REPORTPROCESSID		4


PGP_BEGIN_C_DECLARATIONS

VOID
PTNetStartup (
		HFONT			hfont,
		UINT			uHeight,
		UINT			uBitmapOffset,
		HIMAGELIST		himl);

VOID
PTNetLoadHostList (
		HWND	hwnd,
		HMENU	hMenu, 
		UINT	uMenuPos,
		BOOL	bTaskBarAtTop,
		BOOL	bDisabled);

VOID
PTNetHostClicked (
		HWND	hwnd,
		UINT	uHostIndex);

VOID
PTNetMeasureItem (
		LPMEASUREITEMSTRUCT		pmi);

VOID
PTNetDrawItem (
		LPDRAWITEMSTRUCT		pdi);

VOID
PTNetLaunch (
		HWND	hwnd, 
		UINT	uStartPage);

BOOL
PTSendLogOnOffMessage (
		HWND	hwnd,
		UINT	uMessage);

BOOL
PTIntrusionInProgress (void);

BOOL 
PTUpdateTrayIconAndText (
		HWND	hwnd,
		BOOL	bUpdateText,
		BOOL	bForceAddIcon);

VOID
PTHandleNetPrefsChange (
		HWND		hwnd,
		PGPPrefRef	prefref,
		BOOL		bNetPrefs);

VOID
PTCheckForNetMsg (
		HWND	hwnd,
		UINT	msg,
		WPARAM	wParam,
		LPARAM	lParam);

BOOL
PTNetIsGUIDisabled (void);


PGP_END_C_DECLARATIONS

#endif /* ] Included_PTnet_h */


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
