/*__________________________________________________________________________
 Copyright (C) 2002 PGP Corporation
 All rights reserved.
 
 $Id: Precomp.h,v 1.16 2002/10/31 04:13:36 pbj Exp $
__________________________________________________________________________*/
#ifndef Included_PRECOMP_h	/* [ */
#define Included_PRECOMP_h

/*++

Module Name:

    precomp.h

Abstract:

    This file includes all the headers required to build the dll
    to ease the process of building a precompiled header.

Author:


Revision History:


--*/

// System headers
#include <windows.h>
#include <windowsx.h>
#include <stdlib.h>
#include <stdio.h>
#include <stdlib.h>
#include <assert.h> 
#include <string.h>
#include <ShellAPI.h>

// PGPlib headers
#include "PGPclientlib.h"
#include "pgpLnLib.h"
#include "PGPsc.h"
#include "pgpBuild.h"

// PGPtray headers

#include "PTproc.h"
#include "resource.h"
#include "PTtaskbar.h"

HINSTANCE	g_hinst;
HWND		g_hwnd;
HICON		g_hIconTrayDefault;
HICON		g_hIconTrayCached;

void *PGPsc;
void *PGPtls;

#define PGPPASSPHRASE_TIMER_ID	1234
#define PGPPASSPHRASE_TIMER_MS	30000

#define PGPDISK_TIMER_ID		1235
#define PGPDISK_TIMER_MS		5000

#define TASKBAR_TRAY_ID			1
#define WM_TASKAREA_MESSAGE		WM_USER + 1

#define IDM_PGPNETHOSTLIST		41000

#define IDX_PGPKEYS				0
#define IDX_PGPTOOLS			1
#define IDX_PGPDISK				2
#define IDX_PGPNET				3
#define IDX_SECUREGATEWAY		4
#define IDX_SECUREHOST			5
#define IDX_INSECUREHOST		6
#define IDX_SECURESUBNET		7
#define IDX_INSECURESUBNET		8
#define IDX_SAEXISTS			9
#define NUM_BITMAPS				10

BOOL InitializeWipeOnDelete();
void UninitializeWipeOnDelete();

UINT g_uReloadPrefsMsg;
UINT g_uReloadNetPrefsMsg;
UINT g_uTaskbarRestart;

BOOL g_bWipeOnDelete,g_bWipeProgress;
DWORD g_dwPasses;

BOOL ReadWipePrefs(void *PGPsc,BOOL *pbWipeOnDelete,BOOL *pbWipeProgress);
VOID PTHandleWipeOnDeletePrefsMsg(HWND hwnd);

char szApp[100];

#endif /* ] Included_PRECOMP_h */


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/

