/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: pgpHex.h,v 1.5 2002/08/06 20:10:34 dallen Exp $
____________________________________________________________________________*/
#ifndef Included_pgpHex_h	/* [ */
#define Included_pgpHex_h

#include "pgpBase.h"

PGP_BEGIN_C_DECLARATIONS


PGPBoolean	pgpIsValidHexChar( char	theChar );

PGPByte		pgpHexCharToNibble( char nibble );

void		pgpBytesToHex( PGPByte const * keyBytes,
				PGPSize	numBytes, PGPBoolean add0x, char *outString );

PGPUInt32	pgpHexToBytes( const char * hex,
				PGPUInt32 numBinaryBytes, PGPByte * buffer );

PGPUInt32	pgpHexToPGPUInt32( const char *hex );

void		pgpPGPUInt32ToHex( const PGPUInt32 number,
				PGPBoolean add0x, char *outString );
	
PGP_END_C_DECLARATIONS

#endif /* ] Included_pgpHex_h */


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
