/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CPFLImpFactoryWin32.cpp,v 1.2 2002/08/06 20:10:46 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"

#include "CFileImpWin32.h"
#include "CMutexImpWin32.h"
#include "CPFLImpFactoryWin32.h"
#include "CSemaphoreImpWin32.h"
#include "CSpinLockImpWin32.h"
#include "CThreadImpWin32.h"
#include "CTimerImpWin32.h"

_USING_PGP

// Class CPFLImpFactoryWin32 generated member functions

DEFINE_SINGLETON_NEWDELFUNCS(CPFLImpFactoryWin32)

DEFINE_IMP_NEWFUNCS(CFileImpWin32, CFileImp, 
	CPFLImpFactoryWin32, FileImp)
DEFINE_IMP_NEWFUNCS(CMutexImpWin32, CMutexImp, 
	CPFLImpFactoryWin32, MutexImp)
DEFINE_IMP_NEWFUNCS(CSemaphoreImpWin32, CSemaphoreImp, 
	CPFLImpFactoryWin32, SemaphoreImp)
DEFINE_IMP_NEWFUNCS(CSpinLockImpWin32, CSpinLockImp, 
	CPFLImpFactoryWin32, SpinLockImp)
DEFINE_IMP_NEWFUNCS(CThreadImpWin32, CThreadImp, 
	CPFLImpFactoryWin32, ThreadImp)
DEFINE_IMP_NEWFUNCS(CTimerImpWin32, CTimerImp, 
	CPFLImpFactoryWin32, TimerImp)
