/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CSharedMemory.h,v 1.4 2002/08/06 20:10:46 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CSharedMemory_h	// [
#define Included_CSharedMemory_h

#include "pgpClassesConfig.h"
#include "CString.h"

_PGP_BEGIN

// Class CSharedMemory

class CSharedMemory
{
public:
	CSharedMemory();
	~CSharedMemory();

	void *		Get() const {return mPtr;}
	PGPBoolean	IsAttached() const {return mIsAttached;}

	void	Attach(const char *name);
	void	CreateAttach(const char *name, PGPUInt32 nBytes);
	void	Clear();

private:
	PGPBoolean	mIsAttached;

	CString	mName;
	HANDLE	mHandle;
	void	*mPtr;
};

_PGP_END

#endif // Included_CSharedMemory_h
