/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CStatusBar.cpp,v 1.2 2002/08/06 20:10:46 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"
#include "CStatusBar.h"

_USING_PGP

// Class CStatusBar member functions

void 
CStatusBar::Create(HWND parent, PGPUInt32 id, const char *initText)
{
	pgpAssert(!WeSubclassed());
	pgpAssert(CWindow::IsWindow(parent));

	HWND	hwnd	= CreateStatusWindow(WS_CHILD | WS_VISIBLE | 
		SBARS_SIZEGRIP, initText, parent, id);

	if (IsNull(hwnd))
		THROW_ERRORS(kPGPError_Win32WindowOpFailed, GetLastError());

	Subclass(hwnd);
}
