/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CStatusBar.h,v 1.3 2002/08/06 20:10:46 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CStatusBar_h	// [
#define Included_CStatusBar_h

#include "pgpClassesConfig.h"

#include <commctrl.h>
#include "CWindow.h"

_PGP_BEGIN

// Class CStatusBar

class CStatusBar : public CWindow
{
public:
	CStatusBar() { }
	~CStatusBar() { }

	PGPBoolean	SetText(PGPUInt32 part, PGPUInt32 uType, const char *text)
	{
		return static_cast<PGPBoolean>(SendMessage(SB_SETTEXT, part | uType, 
			reinterpret_cast<LPARAM>(text)));
	}

	void	Create(HWND parent, PGPUInt32 id, const char *initText = "");
};

_PGP_END

#endif	// ] Included_CStatusBar_h
