/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CUTF8Edit.h,v 1.1 2002/11/05 02:10:53 wjb Exp $
____________________________________________________________________________*/

#ifndef Included_CUTF8Edit_h	// [
#define Included_CUTF8Edit_h

#include "pgpClassesConfig.h"
#include "CWindow.h"

_PGP_BEGIN

// Class CUTF8Edit

class CUTF8Edit : public CWindow
{
private:
	enum {MaxLineLength = 256};

	CString mContentsUTF8;
	HWND mhwndNew;

public:
	CUTF8Edit();
	~CUTF8Edit();

	void Subclass(HWND hwndEdit);
	void NumbersOnly();
	void GetWindowText(CString &text);
	void SetWindowText(const char *text);
	SetSel(PGPInt32 start, PGPInt32 end) const;
	void LimitText(PGPUInt32 limit) const
	{
		SendMessage(EM_LIMITTEXT, limit, 0);
	}
	void SaveWindowText();

	PGPBoolean	EnableWindow(PGPBoolean enable) const;

	HWND mhwndOld;
	PGPBoolean mNumbersOnly;
	PGPBoolean mDestroyed;
	PGPBoolean mUnicodeOS;
	WNDPROC		mOrigProc;
};

_PGP_END

#endif	// ] Included_CUTF8Edit_h
