/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: UDebugWin32.cpp,v 1.2 2002/08/06 20:10:46 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"
#include <stdio.h>

#include "UDebug.h"

_USING_PGP

// Functions

#if PGP_DEBUG

void 
UDebug::DebugOut(const char *formatStr, ...)
{
	char	strBuf[kMaxLengthString];
	va_list	argList;

	va_start(argList, formatStr);
	_vsnprintf(strBuf, kMaxLengthString, formatStr, argList);
	va_end(argList);

	OutputDebugString(strBuf);
	OutputDebugString("\n");
}

#endif	// PGP_DEBUG
