/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CPFLImpFactoryDrv98.cpp,v 1.2 2002/08/06 20:10:49 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"

#include "CFileImpDrv98.h"
#include "CMutexImpDrv98.h"
#include "CPFLImpFactoryDrv98.h"
#include "CSemaphoreImpDrv98.h"
#include "CSpinLockImpDrv98.h"
#include "CThreadImpDrv98.h"
#include "CTimerImpDrv98.h"

_USING_PGP

// Class CPFLImpFactoryDrv98 generated member functions

DEFINE_SINGLETON_NEWDELFUNCS(CPFLImpFactoryDrv98)

DEFINE_IMP_NEWFUNCS(CFileImpDrv98, CFileImp, 
	CPFLImpFactoryDrv98, FileImp)
DEFINE_IMP_NEWFUNCS(CMutexImpDrv98, CMutexImp, 
	CPFLImpFactoryDrv98, MutexImp)
DEFINE_IMP_NEWFUNCS(CSemaphoreImpDrv98, CSemaphoreImp, 
	CPFLImpFactoryDrv98, SemaphoreImp)
DEFINE_IMP_NEWFUNCS(CSpinLockImpDrv98, CSpinLockImp, 
	CPFLImpFactoryDrv98, SpinLockImp)
DEFINE_IMP_NEWFUNCS(CThreadImpDrv98, CThreadImp, 
	CPFLImpFactoryDrv98, ThreadImp)
DEFINE_IMP_NEWFUNCS(CTimerImpDrv98, CTimerImp, 
	CPFLImpFactoryDrv98, TimerImp)
