/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CTimerImpDrv98.h,v 1.3 2002/08/06 20:10:50 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CTimerImpDrv98_h	// [
#define Included_CTimerImpDrv98_h

#include "pgpClassesConfig.h"
#include "CTimerImp.h"

_PGP_BEGIN

// Class CTimerImpDrv98

class CTimerImpDrv98 : public CTimerImp
{
	friend class CPFLImpFactoryDrv98;

private:
	CTimerImpDrv98() : mTimerHandle(NULL), mStopTheTimer(FALSE) { }
	~CTimerImpDrv98();

	virtual CComboError	StartTimer(CTimer::CallbackFunc callback, 
		void *userData, PGPUInt32 msInterval, PGPBoolean isPeriodic);
	virtual void		StopTimer();

private:
	TIMERHANDLE	mTimerHandle;
	PGPBoolean	mStopTheTimer;

	static void _cdecl	TimerCallback(VMHANDLE hVM, Client_Reg_Struc *pRegs, 
		PVOID refData, DWORD tardiness);

	void		TimerCallbackAux();
	CComboError	ScheduleTimeout();
};

_PGP_END

#endif	// ] Included_CTimerImpDrv98_h
