/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: UDebugDrv98.cpp,v 1.2 2002/08/06 20:10:50 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"
#include "UDebug.h"

_USING_PGP

// Debugging functions

#if PGP_DEBUG

void 
UDebug::DebugOut(const char *formatStr, ...)
{
	char	strBuf[kMaxLengthString];
	va_list	argList;

	va_start(argList, formatStr);
	_vsnprintf(strBuf, kMaxLengthString, formatStr, argList);
	va_end(argList);

	Out_Debug_String(strBuf);
	Out_Debug_String("\n");
}

#endif	// PGP_DEBUG
