/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CTimerImpDrvNT.h,v 1.3 2002/08/06 20:10:51 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CTimerImpDrvNT_h	// [
#define Included_CTimerImpDrvNT_h

#include "pgpClassesConfig.h"
#include "CTimerImp.h"

_PGP_BEGIN

// Class CTimerImpDrvNT

class CTimerImpDrvNT : public CTimerImp
{
	friend class CImpFactoryNT;

private:
	~CTimerImpDrvNT();

	virtual CComboError	StartTimer(CTimer::CallbackFunc callback, 
		void *userData, PGPUInt32 msInterval, PGPBoolean isPeriodic);
	virtual void		StopTimer();

private:
	KDPC		mTimerDpc;
	KTIMER		mTimer;

	void		TimerCallbackAux();
	static VOID	TimerCallback(PKDPC Dpc, PVOID DeferredContext, 
		PVOID SystemArgument1, PVOID SystemArgument2);
};

_PGP_END

#endif	// ] Included_CTimerImpDrvNT_h
