/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	pgpCache.h	- indexed data cache header
	

	$Id: pgpCache.h,v 1.2 2002/08/06 20:11:19 dallen Exp $
____________________________________________________________________________*/

#ifndef _pgpCache_h
#define _pgpCache_h

typedef struct _CACHEITEM {
	struct _CACHEITEM*	pitemNext;
	LONG				lSecondsRemaining;
	ULONG				ulIndexLength;
	UCHAR				ucIndex[kPGPUDMaxCacheIndexLength];
	ULONG				ulDataLength;
	UCHAR				ucData[kPGPUDMaxCacheDataLength];
} PGPCACHEITEM, *PPGPCACHEITEM;

typedef struct {
	PPGPCACHEITEM		pitemFirst;
} PGPCACHE, *PPGPCACHE;


VOID
pgpProcessCacheTimerEvent (
	IN PPGPCACHE		ppc,
	IN PVOID			pCriticalSection);

VOID
pgpInitCache (
	IN PPGPCACHE		ppc);

VOID
pgpCacheProcessOperation (
	IN PPGPCACHE		ppc,
	IN PPGPCACHESTRUCT	ppcs,
	IN PVOID			pCriticalSection);

#endif //_pgpCache_h