/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.


	$Id: pgpMisc.h,v 1.2 2002/08/06 20:11:19 dallen Exp $
____________________________________________________________________________*/

#ifndef	_pgpMisc_h
#define _pgpMisc_h

#define	MUTEX		0
#define SPINLOCK	1

PVOID
pgpDriverSecureAlloc (
		ULONG	ulNumBytes);

VOID
pgpDriverSecureFree (
		PVOID p);

VOID
pgpDriverEnterCriticalSection (
		PVOID	pSection,
		ULONG	ulType);

ULONG
pgpDriverTryToEnterCriticalSection (
		PVOID	pSection,
		ULONG	ulType);

VOID
pgpDriverLeaveCriticalSection (
		PVOID	pSection,
		ULONG	ulType);

VOID
pgpDriverInitCriticalSection (
		PVOID	pSection);

VOID
pgpDriverCleanupCriticalSection (
		PVOID	pSection);

VOID
pgpDriverGetHiResTime (
		PULONG	pulLowPart);

#endif //_pgpMisc_h